Index: chive/fuse2.xml
===================================================================
--- archive/fuse2.xml	(revision d5b408c3658140399b48f0d4e80a0854f9426bf6)
+++ 	(revision )
@@ -1,289 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY fuse2-download-http "https://github.com/libfuse/libfuse/releases/download/fuse-&fuse2-version;/fuse-&fuse2-version;.tar.gz">
-  <!ENTITY fuse2-download-ftp  " ">
-  <!ENTITY fuse2-md5sum        "9bd4ce8184745fd3d000ca2692adacdb">
-  <!ENTITY fuse2-size          "646 KB">
-  <!ENTITY fuse2-buildsize     "8.2 MB (9.8 MB with API documentation)">
-  <!ENTITY fuse2-time          "0.1 SBU">
-]>
-
-<sect1 id="fuse2" xreflabel="Fuse-&fuse2-version;">
-  <?dbhtml filename="fuse2.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Fuse-&fuse2-version;</title>
-
-  <indexterm zone="fuse2">
-    <primary sortas="a-Fuse">Fuse</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Fuse</title>
-
-    <para>
-      <application>FUSE</application> (Filesystem in Userspace) is a simple
-      interface for userspace programs to export a virtual filesystem to the
-      Linux kernel. <application>Fuse</application> also aims to provide a
-      secure method for non privileged users to create and mount their own
-      filesystem implementations.
-    </para>
-
-    <para>
-      This package is only installed for compatibility with 
-      <xref linkend="ntfs-3g"/> and <xref linkend="sshfs"/>.  It is
-      not needed with other packages. For full fuse functionality, 
-      install <xref linkend="fuse3"/> which does not interfere with 
-      these instructions.
-    </para>
-
-    &lfs80_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&fuse2-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&fuse2-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &fuse2-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &fuse2-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &fuse2-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &fuse2-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Fuse Dependencies</bridgehead>
-
-<!-- What is this?
-    <bridgehead renderas="sect3">Required</bridgehead>
-    <para role="required">
-      <xref linkend="fuse3"/> (runtime only)
-    </para>
--->
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="doxygen"/> (to rebuild the API documentation)
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/fuse2"/>
-    </para>
-  </sect2>
-
-  <sect2 role="kernel" id="fuse2-kernel">
-    <title>Kernel Configuration</title>
-
-    <para>
-      Enable the following options in the kernel configuration and recompile the
-      kernel if necessary:
-    </para>
-
-<screen><literal>File systems  ---&gt;
-  &lt;*/M&gt; FUSE (Filesystem in Userspace) support [CONFIG_FUSE_FS]</literal></screen>
-
-    <indexterm zone="fuse2 fuse2-kernel">
-      <primary sortas="d-fuse2">fuse</primary>
-    </indexterm>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Fuse</title>
-
-    <para>
-      Install <application>Fuse</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr    \
-            --disable-static \
-            --exec-prefix=/  &amp;&amp;
-
-make &amp;&amp;
-make DESTDIR=$PWD/Dest install</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>
-install -vm755 Dest/lib/*.so.*     /lib                       &amp;&amp;
-ln -sfv ../../lib/libfuse.so.2     /usr/lib/libfuse.so        &amp;&amp;
-ln -sfv ../../lib/libulockmgr.so.1 /usr/lib/libulockmgr.so    &amp;&amp;
-
-install -vm644  Dest/lib/pkgconfig/fuse.pc /usr/lib/pkgconfig &amp;&amp; 
-                                                         
-install -vm4755 Dest/bin/fusermount       /bin                &amp;&amp;
-install -vm755  Dest/bin/ulockmgr_server  /bin                &amp;&amp;
-
-install -vm755  Dest/sbin/mount.fuse      /sbin               &amp;&amp;
-
-install -vdm755 /usr/include/fuse                             &amp;&amp;
-
-install -vm644  Dest/usr/include/*.h      /usr/include        &amp;&amp;
-install -vm644  Dest/usr/include/fuse/*.h /usr/include/fuse/  &amp;&amp;
-
-install -vm644  Dest/usr/share/man/man1/* /usr/share/man/man1</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <para>
-      <parameter>--exec-prefix=/</parameter>: This parameter moves programs and
-      libraries that could be needed before the
-      <filename class="directory">/usr</filename> directory is mounted, to the
-      root filesystem.
-    </para>
-
-    <para>
-      <command>make DESTDIR=$PWD/Dest install</command>: This command installs
-      the files to a temporary directory, so that the needed files can be
-      installed.
-    </para>
-
-  </sect2>
-
-  <sect2 role="configuration">
-    <title>Configuring fuse</title>
-
-    <sect3 id="fuse2-config">
-      <title>Config Files</title>
-
-      <para>
-        Information on configuring fuse can be found at
-        <xref linkend="fuse-configuration"/>.
-      </para>
-
-    </sect3>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directory</segtitle>
-
-      <seglistitem>
-        <seg>
-          fusermount, mount.fuse, and ulockmgr_server
-        </seg>
-        <seg>
-          libfuse.so and libulockmgr.so
-        </seg>
-        <seg>
-          /usr/include/fuse
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="fusermount2">
-        <term><command>fusermount</command></term>
-        <listitem>
-          <para>
-            is a set users ID root program to mount and unmount Fuse
-            filesystems.
-          </para>
-          <indexterm zone="fuse2 fusermount2">
-            <primary sortas="b-fusermount2">fusermount</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mount.fuse2">
-        <term><command>mount.fuse</command></term>
-        <listitem>
-          <para>
-            is the command <command>mount</command> would call to mount a Fuse
-            filesystem.
-          </para>
-          <indexterm zone="fuse2 mount.fuse2">
-            <primary sortas="b-mount.fuse2">mount.fuse</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ulockmgr_server2">
-        <term><command>ulockmgr_server</command></term>
-        <listitem>
-          <para>
-            is the Userspace Lock Manager Server for Fuse filesystems.
-          </para>
-          <indexterm zone="fuse2 ulockmgr_server2">
-            <primary sortas="b-ulockmgr_server2">ulockmgr_server</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libfuse2">
-        <term><filename class="libraryfile">libfuse.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>FUSE</application> API functions.
-          </para>
-          <indexterm zone="fuse2 libfuse2">
-            <primary sortas="c-libfuse2">libfuse.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libulockmgr2">
-        <term><filename class="libraryfile">libulockmgr.so</filename></term>
-        <listitem>
-          <para>
-            contains the Userspace Lock Manager API functions.
-          </para>
-          <indexterm zone="fuse2 libulockmgr2">
-            <primary sortas="c-libulockmgr2">libulockmgr.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision d5b408c3658140399b48f0d4e80a0854f9426bf6)
+++ gnome/platform/gvfs.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
@@ -106,5 +106,5 @@
       <xref linkend="bluez"/>,
       <xref linkend="dbus-glib"/>,
-      <xref linkend="fuse3"/>,
+      <xref linkend="fuse2"/>,
       <xref linkend="gtk-doc"/>,
       <xref linkend="libarchive"/>,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d5b408c3658140399b48f0d4e80a0854f9426bf6)
+++ introduction/welcome/changelog.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
@@ -42,4 +42,13 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>July 24th, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Restore Fuse2 package as dependency for gvfs.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem revision="systemd">
Index: packages.ent
===================================================================
--- packages.ent	(revision d5b408c3658140399b48f0d4e80a0854f9426bf6)
+++ packages.ent	(revision 32612e93db42e196fe692024bd396f6523204885)
@@ -52,5 +52,5 @@
 <!ENTITY dosfstools-version           "4.1">
 <!ENTITY fuse3-version                "3.1.0">
-<!--<!ENTITY fuse2-version                "2.9.7">-->
+<!ENTITY fuse2-version                "2.9.7">
 <!ENTITY jfsutils-version             "1.1.15">
 <!ENTITY lvm2-version                 "2.02.171">
Index: postlfs/filesystems/filesystems.xml
===================================================================
--- postlfs/filesystems/filesystems.xml	(revision d5b408c3658140399b48f0d4e80a0854f9426bf6)
+++ postlfs/filesystems/filesystems.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
@@ -27,5 +27,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dosfstools.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fuse3.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fuse2.xml"/>-->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fuse2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="jfs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="lvm2.xml"/>
Index: postlfs/filesystems/fuse2.xml
===================================================================
--- postlfs/filesystems/fuse2.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
+++ postlfs/filesystems/fuse2.xml	(revision 32612e93db42e196fe692024bd396f6523204885)
@@ -0,0 +1,289 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY fuse2-download-http "https://github.com/libfuse/libfuse/releases/download/fuse-&fuse2-version;/fuse-&fuse2-version;.tar.gz">
+  <!ENTITY fuse2-download-ftp  " ">
+  <!ENTITY fuse2-md5sum        "9bd4ce8184745fd3d000ca2692adacdb">
+  <!ENTITY fuse2-size          "646 KB">
+  <!ENTITY fuse2-buildsize     "8.2 MB (9.8 MB with API documentation)">
+  <!ENTITY fuse2-time          "0.1 SBU">
+]>
+
+<sect1 id="fuse2" xreflabel="Fuse-&fuse2-version;">
+  <?dbhtml filename="fuse2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Fuse-&fuse2-version;</title>
+
+  <indexterm zone="fuse2">
+    <primary sortas="a-Fuse">Fuse</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Fuse</title>
+
+    <para>
+      <application>FUSE</application> (Filesystem in Userspace) is a simple
+      interface for userspace programs to export a virtual filesystem to the
+      Linux kernel. <application>Fuse</application> also aims to provide a
+      secure method for non privileged users to create and mount their own
+      filesystem implementations.
+    </para>
+
+    <para>
+      This package is only installed for compatibility with 
+      <xref linkend="ntfs-3g"/> and <xref linkend="sshfs"/>.  It is
+      not needed with other packages. For full fuse functionality, 
+      install <xref linkend="fuse3"/> which does not interfere with 
+      these instructions.
+    </para>
+
+    &lfs80_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&fuse2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&fuse2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &fuse2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &fuse2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &fuse2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &fuse2-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Fuse Dependencies</bridgehead>
+
+<!-- What is this?
+    <bridgehead renderas="sect3">Required</bridgehead>
+    <para role="required">
+      <xref linkend="fuse3"/> (runtime only)
+    </para>
+-->
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="doxygen"/> (to rebuild the API documentation)
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/fuse2"/>
+    </para>
+  </sect2>
+
+  <sect2 role="kernel" id="fuse2-kernel">
+    <title>Kernel Configuration</title>
+
+    <para>
+      Enable the following options in the kernel configuration and recompile the
+      kernel if necessary:
+    </para>
+
+<screen><literal>File systems  ---&gt;
+  &lt;*/M&gt; FUSE (Filesystem in Userspace) support [CONFIG_FUSE_FS]</literal></screen>
+
+    <indexterm zone="fuse2 fuse2-kernel">
+      <primary sortas="d-fuse2">fuse</primary>
+    </indexterm>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of Fuse</title>
+
+    <para>
+      Install <application>Fuse</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr    \
+            --disable-static \
+            --exec-prefix=/  &amp;&amp;
+
+make &amp;&amp;
+make DESTDIR=$PWD/Dest install</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>
+install -vm755 Dest/lib/*.so.*     /lib                       &amp;&amp;
+ln -sfv ../../lib/libfuse.so.2     /usr/lib/libfuse.so        &amp;&amp;
+ln -sfv ../../lib/libulockmgr.so.1 /usr/lib/libulockmgr.so    &amp;&amp;
+
+install -vm644  Dest/lib/pkgconfig/fuse.pc /usr/lib/pkgconfig &amp;&amp; 
+                                                         
+install -vm4755 Dest/bin/fusermount       /bin                &amp;&amp;
+install -vm755  Dest/bin/ulockmgr_server  /bin                &amp;&amp;
+
+install -vm755  Dest/sbin/mount.fuse      /sbin               &amp;&amp;
+
+install -vdm755 /usr/include/fuse                             &amp;&amp;
+
+install -vm644  Dest/usr/include/*.h      /usr/include        &amp;&amp;
+install -vm644  Dest/usr/include/fuse/*.h /usr/include/fuse/  &amp;&amp;
+
+install -vm644  Dest/usr/share/man/man1/* /usr/share/man/man1</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <parameter>--exec-prefix=/</parameter>: This parameter moves programs and
+      libraries that could be needed before the
+      <filename class="directory">/usr</filename> directory is mounted, to the
+      root filesystem.
+    </para>
+
+    <para>
+      <command>make DESTDIR=$PWD/Dest install</command>: This command installs
+      the files to a temporary directory, so that the needed files can be
+      installed.
+    </para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring fuse</title>
+
+    <sect3 id="fuse2-config">
+      <title>Config Files</title>
+
+      <para>
+        Information on configuring fuse can be found at
+        <xref linkend="fuse-configuration"/>.
+      </para>
+
+    </sect3>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          fusermount, mount.fuse, and ulockmgr_server
+        </seg>
+        <seg>
+          libfuse.so and libulockmgr.so
+        </seg>
+        <seg>
+          /usr/include/fuse
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="fusermount2">
+        <term><command>fusermount</command></term>
+        <listitem>
+          <para>
+            is a set users ID root program to mount and unmount Fuse
+            filesystems.
+          </para>
+          <indexterm zone="fuse2 fusermount2">
+            <primary sortas="b-fusermount2">fusermount</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="mount.fuse2">
+        <term><command>mount.fuse</command></term>
+        <listitem>
+          <para>
+            is the command <command>mount</command> would call to mount a Fuse
+            filesystem.
+          </para>
+          <indexterm zone="fuse2 mount.fuse2">
+            <primary sortas="b-mount.fuse2">mount.fuse</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ulockmgr_server2">
+        <term><command>ulockmgr_server</command></term>
+        <listitem>
+          <para>
+            is the Userspace Lock Manager Server for Fuse filesystems.
+          </para>
+          <indexterm zone="fuse2 ulockmgr_server2">
+            <primary sortas="b-ulockmgr_server2">ulockmgr_server</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libfuse2">
+        <term><filename class="libraryfile">libfuse.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>FUSE</application> API functions.
+          </para>
+          <indexterm zone="fuse2 libfuse2">
+            <primary sortas="c-libfuse2">libfuse.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libulockmgr2">
+        <term><filename class="libraryfile">libulockmgr.so</filename></term>
+        <listitem>
+          <para>
+            contains the Userspace Lock Manager API functions.
+          </para>
+          <indexterm zone="fuse2 libulockmgr2">
+            <primary sortas="c-libulockmgr2">libulockmgr.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+
+  </sect2>
+
+</sect1>