Index: multimedia/libdriv/xvid.xml
===================================================================
--- multimedia/libdriv/xvid.xml	(revision 740cd3806fc62d3aa72ead5fe749c31448a449bf)
+++ multimedia/libdriv/xvid.xml	(revision 33555d9c0ffd6934db036e4a53e8c34a440bb3bc)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
@@ -6,5 +7,5 @@
   <!ENTITY xvid-download-http "http://ed.gomez.free.fr/releases/xvid-&xvid-version;/xvidcore-&xvid-version;.tar.bz2">
   <!ENTITY xvid-download-ftp  " ">
-  <!ENTITY xvid-md5-sum       "1487c4dd4449aedeb695807467e69054">
+  <!ENTITY xvid-md5sum       "1487c4dd4449aedeb695807467e69054">
   <!ENTITY xvid-size          "541 KB">
   <!ENTITY xvid-buildsize     "7.2 MB">
@@ -13,15 +14,19 @@
 
 <sect1 id="xvid" xreflabel="XviD-&xvid-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="xvid.html"?>
-<title>XviD-&xvid-version;</title>
-<indexterm zone="xvid">
-<primary sortas="a-XviD">XviD</primary></indexterm>
+  <?dbhtml filename="xvid.html"?>
 
-<sect2>
-<title>Introduction to <application>XviD</application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>XviD-&xvid-version;</title>
+
+  <indexterm zone="xvid">
+    <primary sortas="a-XviD">XviD</primary>
+  </indexterm>
+
+<sect2 role="package">
+  <title>Introduction to XviD</title>
 
 <!--
@@ -45,91 +50,103 @@
 -->
 
-<para><application>XviD</application> is an <acronym>MPEG</acronym>-4
-compliant video <acronym>CODEC</acronym>.</para>
+    <para><application>XviD</application> is an MPEG-4
+    compliant video CODEC.</para>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): 
-<ulink url="&xvid-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): 
-<ulink url="&xvid-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 Sum:  &xvid-md5-sum;</para></listitem>
-<listitem><para>Download size: &xvid-size;</para></listitem>
-<listitem><para>Estimated disk space required: 
-&xvid-buildsize;</para></listitem>
-<listitem><para>Estimated build time: 
-&xvid-time;</para></listitem></itemizedlist>
-</sect3>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&xvid-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&xvid-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &xvid-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &xvid-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &xvid-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &xvid-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<sect3><title><application>XviD</application> dependencies</title>
-<sect4><title>Optional</title>
-<para><xref linkend="NASM"/></para></sect4>
-</sect3>
+    <bridgehead renderas="sect3">XviD Dependencies</bridgehead>
 
-</sect2>
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="NASM"/></para>
 
-<sect2>
-<title>Installation of <application>XviD</application></title>
+  </sect2>
 
-<para>Install <application>XviD</application> by running the following 
-commands:</para>
+  <sect2 role="installation">
+    <title>Installation of XviD</title>
 
-<screen><userinput><command>cd build/generic &amp;&amp;
+    <para>Install <application>XviD</application> by running the following 
+    commands:</para>
+
+<screen><userinput>cd build/generic &amp;&amp;
 ./configure --prefix=/usr &amp;&amp;
-make</command></userinput></screen>
+make</userinput></screen>
 
-<para>This package does not come with a test suite.</para>
+    <para>This package does not come with a test suite.</para>
 
-<para>Now, as the root user:</para>
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen><userinput role='root'><command>make install &amp;&amp;
+<screen role="root"><userinput>make install &amp;&amp;
 chmod -v 644 /usr/lib/libxvidcore.a &amp;&amp;
 ln -v -sf libxvidcore.so.4.0 /usr/lib/libxvidcore.so.4 &amp;&amp;
-ln -v -sf libxvidcore.so.4 /usr/lib/libxvidcore.so</command></userinput></screen>
+ln -v -sf libxvidcore.so.4 /usr/lib/libxvidcore.so</userinput></screen>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Command explanations</title>
+  <sect2 role="commands">
+    <title>Command Explanations</title>
 
-<para><command>ln -v -sf libxvidcore.so.4 /usr/lib/libxvidcore.so</command>:
-This command makes applications linked against
-<filename class="libraryfile">.so</filename> names, link to
-<filename class="libraryfile">.so.<replaceable>MAJOR</replaceable></filename>.
-This ensures better binary compatibility, as
-<application>XviD</application> developers take care not changing the
-<replaceable>MAJOR</replaceable> number until there is an incompatible
-<acronym>ABI</acronym> change.</para>
+    <para><command>ln -v -sf libxvidcore.so.4 /usr/lib/libxvidcore.so</command>:
+    This command makes applications linked against
+    <filename class="libraryfile">.so</filename> names, link to
+    <filename class="libraryfile">.so.<replaceable>MAJOR</replaceable></filename>.
+    This ensures better binary compatibility, as
+    <application>XviD</application> developers take care not changing the
+    <replaceable>MAJOR</replaceable> number until there is an incompatible
+    ABI change.</para>
 
-</sect2>
+  </sect2>
 
-<sect2>
-<title>Contents</title>
+  <sect2 role="content">
+    <title>Contents</title>
 
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Library</segtitle>
-<segtitle>Installed Directories</segtitle>
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
-<seglistitem>
-<seg>None</seg>
-<seg>libxvidcore.[so,a]</seg>
-<seg>None</seg>
-</seglistitem>
-</segmentedlist>
+      <seglistitem>
+        <seg>None</seg>
+        <seg>libxvidcore.[so,a]</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
 
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+  <variablelist>
+    <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+    <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
 
-<varlistentry id="libxvidcore">
-<term><filename class='libraryfile'>libxvidcore.[so,a]</filename></term>
-<listitem><para>provides functions to encode and decode most 
-<acronym>MPEG</acronym>-4 video data.</para>
-<indexterm zone="xvid libxvidcore">
-<primary sortas="c-libxvidcore">libxvidcore.[so,a]</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
+    <varlistentry id="libxvidcore">
+      <term><filename class='libraryfile'>libxvidcore.[so,a]</filename></term>
+      <listitem>
+        <para>provides functions to encode and decode most 
+        MPEG-4 video data.</para>
+        <indexterm zone="xvid libxvidcore">
+          <primary sortas="c-libxvidcore">libxvidcore.[so,a]</primary>
+        </indexterm>
+      </listitem>
+    </varlistentry>
+
+    </variablelist>
 
 <!--
@@ -163,5 +180,5 @@
 -->
 
-</sect2>
+  </sect2>
 
 </sect1>