Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ introduction/welcome/changelog.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -46,4 +46,28 @@
       <para>July 20th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to phonon-gstreamer-4.9.1. Fixes
+          <ulink url="&blfs-ticket-root;12293">#12293</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to phonon-vlc-0.10.3. Fixes
+          <ulink url="&blfs-ticket-root;12294">#12294</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to phonon-4.10.3. Fixes
+          <ulink url="&blfs-ticket-root;12292">#12292</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xfsprogs-5.1.0. Fixes
+          <ulink url="&blfs-ticket-root;12289">#12289</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Thunar-1.8.8. Fixes
+          <ulink url="&blfs-ticket-root;12288">#12288</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to LMDB_0.9.24. Fixes
+          <ulink url="&blfs-ticket-root;12291">#12291</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[renodr] - Update to xf86-input-wacom-0.37.0. Fixes
Index: kde/phonon-backend-gstreamer.xml
===================================================================
--- kde/phonon-backend-gstreamer.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ kde/phonon-backend-gstreamer.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -7,8 +7,8 @@
   <!ENTITY phonon-backend-gstreamer-download-http "&kde-download-http;phonon/phonon-backend-gstreamer/&phonon-backend-gstreamer-version;/phonon-backend-gstreamer-&phonon-backend-gstreamer-version;.tar.xz">
   <!ENTITY phonon-backend-gstreamer-download-ftp  " ">
-  <!ENTITY phonon-backend-gstreamer-md5sum        "b2b0ca327908948ce8cdba117e31bf80">
-  <!ENTITY phonon-backend-gstreamer-size          "80 KB">
-  <!ENTITY phonon-backend-gstreamer-buildsize     "4.5 MB">
-  <!ENTITY phonon-backend-gstreamer-time          "0.4 SBU">
+  <!ENTITY phonon-backend-gstreamer-md5sum        "b521b0a824e4d5451e476b8127140f60">
+  <!ENTITY phonon-backend-gstreamer-size          "88 KB">
+  <!ENTITY phonon-backend-gstreamer-buildsize     "5.7 MB">
+  <!ENTITY phonon-backend-gstreamer-time          "0.3 SBU">
 ]>
 
Index: kde/phonon-backend-vlc.xml
===================================================================
--- kde/phonon-backend-vlc.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ kde/phonon-backend-vlc.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -7,8 +7,8 @@
   <!ENTITY phonon-backend-vlc-download-http "&kde-download-http;phonon/phonon-backend-vlc/&phonon-backend-vlc-version;/phonon-backend-vlc-&phonon-backend-vlc-version;.tar.xz">
   <!ENTITY phonon-backend-vlc-download-ftp  " ">
-  <!ENTITY phonon-backend-vlc-md5sum        "fb25f7b12e04a62d7d1916bade88400f">
-  <!ENTITY phonon-backend-vlc-size          "60 KB">
-  <!ENTITY phonon-backend-vlc-buildsize     "2.9 MB">
-  <!ENTITY phonon-backend-vlc-time          "0.2 SBU">
+  <!ENTITY phonon-backend-vlc-md5sum        "4c3f0f90182aedb724c3e715d2933459">
+  <!ENTITY phonon-backend-vlc-size          "68 KB">
+  <!ENTITY phonon-backend-vlc-buildsize     "4.2 MB">
+  <!ENTITY phonon-backend-vlc-time          "0.3 SBU">
 ]>
 
@@ -74,9 +74,7 @@
     <title>Installation of Phonon-backend-vlc</title>
 
-<!-- This is no longer true.
     <note><para>This package unpacks to the directory 
       phonon-vlc-&phonon-backend-vlc-version;.
     </para></note>
--->
 
     <para>Install 
Index: kde/phonon.xml
===================================================================
--- kde/phonon.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ kde/phonon.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -7,7 +7,7 @@
   <!ENTITY phonon-download-http "&kde-download-http;phonon/&phonon-version;/phonon-&phonon-version;.tar.xz">
   <!ENTITY phonon-download-ftp  " ">
-  <!ENTITY phonon-md5sum        "ed828952beaa140d1c025513febd8e5d">
-  <!ENTITY phonon-size          "316 KB">
-  <!ENTITY phonon-buildsize     "8.8 MB">
+  <!ENTITY phonon-md5sum        "839e7ddc5bc5284cf4cffb8ebd00b4f7">
+  <!ENTITY phonon-size          "332 KB">
+  <!ENTITY phonon-buildsize     "11 MB">
   <!ENTITY phonon-time          "0.2 SBU (Using parallelism=4)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ packages.ent	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -60,5 +60,5 @@
 <!ENTITY smartmontools-version        "7.0">
 <!ENTITY sshfs-version                "3.5.2">
-<!ENTITY xfsprogs-version             "5.0.0">
+<!ENTITY xfsprogs-version             "5.1.0">
 
 <!-- Chapter 6 -->
@@ -628,5 +628,5 @@
 <!-- Chapter 22 -->
 <!ENTITY db-version                   "5.3.28">
-<!ENTITY lmdb-version                 "0.9.23">
+<!ENTITY lmdb-version                 "0.9.24">
 <!ENTITY mariadb-version              "10.4.6">
 <!ENTITY postgresql-version           "11.4">
@@ -743,7 +743,7 @@
 <!-- Chapters 29-33 -->                           <!-- stable lt .90 micro version -->
 <!ENTITY kde-download-http            "http://download.kde.org/stable/">
-<!ENTITY phonon-version               "4.10.2">
-<!ENTITY phonon-backend-gstreamer-version "4.9.0">
-<!ENTITY phonon-backend-vlc-version   "0.10.2">
+<!ENTITY phonon-version               "4.10.3">
+<!ENTITY phonon-backend-gstreamer-version "4.9.1">
+<!ENTITY phonon-backend-vlc-version   "0.10.3">
 <!ENTITY polkit-qt-version            "0.112.0">
 <!ENTITY polkit-kde-agent-version     "0.99.0">
@@ -784,5 +784,5 @@
 <!ENTITY xfce4-panel-version          "4.12.2">
 <!ENTITY xfce4-xkb-plugin-version     "0.7.1">
-<!ENTITY thunar-version               "1.8.7">
+<!ENTITY thunar-version               "1.8.8">
 <!ENTITY thunar-volman-version        "0.8.1">
 <!ENTITY tumbler-version              "0.2.5">
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ postlfs/filesystems/xfsprogs.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -7,7 +7,7 @@
   <!ENTITY xfsprogs-download-http "&kernel-dl;/linux/utils/fs/xfs/xfsprogs/xfsprogs-&xfsprogs-version;.tar.xz">
   <!ENTITY xfsprogs-download-ftp  " ">
-  <!ENTITY xfsprogs-md5sum        "b6acc4aa93a952595fc8f2e7447be6f2">
+  <!ENTITY xfsprogs-md5sum        "7199b7aaf088d82fc8a1660ffeb63626">
   <!ENTITY xfsprogs-size          "1.2 MB">
-  <!ENTITY xfsprogs-buildsize     "62 MB">
+  <!ENTITY xfsprogs-buildsize     "63 MB">
   <!ENTITY xfsprogs-time          "0.3 SBU (Using parallelism=4)">
 ]>
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ server/databases/lmdb.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -7,5 +7,5 @@
   <!ENTITY lmdb-download-http "https://github.com/LMDB/lmdb/archive/LMDB_&lmdb-version;.tar.gz">
   <!ENTITY lmdb-download-ftp  " ">
-  <!ENTITY lmdb-md5sum        "5a57d029e6829e95d159bb6f689880d3">
+  <!ENTITY lmdb-md5sum        "c3e3474daf4a59685d154cc7fc5c99ad">
   <!ENTITY lmdb-size          "144 KB">
   <!ENTITY lmdb-buildsize     "5.9 MB">
Index: xfce/core/thunar.xml
===================================================================
--- xfce/core/thunar.xml	(revision 1f0dfd06f6cd92195e87225d3ef670f585c09676)
+++ xfce/core/thunar.xml	(revision 33644d9439d3d436e53aabae72a6b70761b8bff4)
@@ -8,7 +8,7 @@
            "http://archive.xfce.org/src/xfce/thunar/1.8/Thunar-&thunar-version;.tar.bz2">
   <!ENTITY thunar-download-ftp  " ">
-  <!ENTITY thunar-md5sum        "9abdbc78cbf9957f9727c327476a08c2">
+  <!ENTITY thunar-md5sum        "229f6b9700cc97703c35c84f39c192bc">
   <!ENTITY thunar-size          "2.2 MB">
-  <!ENTITY thunar-buildsize     "53 MB">
+  <!ENTITY thunar-buildsize     "54 MB">
   <!ENTITY thunar-time          "0.6 SBU">
 ]>