Index: general.ent
===================================================================
--- general.ent	(revision 7d1ac843123ba599d4fb0e7de2c2508c3d116590)
+++ general.ent	(revision 033904eb6d413075719f5821d8cb8c03cb718b1b)
@@ -60,5 +60,5 @@
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20120502">
+<!ENTITY blfs-bootscripts-version     "20120506">
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
@@ -575,5 +575,5 @@
 
 <!-- Chapter 21 -->
-<!ENTITY exim-version                 "4.67">
+<!ENTITY exim-version                 "4.77">
 <!ENTITY postfix-version              "2.9.1">
 <!ENTITY qpopper-version              "4.1.0">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7d1ac843123ba599d4fb0e7de2c2508c3d116590)
+++ introduction/welcome/changelog.xml	(revision 033904eb6d413075719f5821d8cb8c03cb718b1b)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Updated to exim-4.77.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Updated to xmlto-0.0.25.</para>
         </listitem>
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 7d1ac843123ba599d4fb0e7de2c2508c3d116590)
+++ server/mail/exim.xml	(revision 033904eb6d413075719f5821d8cb8c03cb718b1b)
@@ -5,11 +5,9 @@
   %general-entities;
 
-  <!ENTITY exim-download-http      "http://www.exim.org/ftp/exim4/old/exim-&exim-version;.tar.bz2">
-  <!ENTITY exim-download-ftp       "ftp://ftp.exim.org/pub/exim/exim4/old/exim-&exim-version;.tar.bz2">
-  <!-- <!ENTITY exim-download-http      "&sources-anduin-http;/e/exim-&exim-version;.tar.bz2"> -->
-  <!-- <!ENTITY exim-download-ftp       " "> -->
-  <!ENTITY exim-md5sum             "9ee83186d9ac99e5ff297112aa6fddf0">
-  <!ENTITY exim-size               "1.6 MB">
-  <!ENTITY exim-buildsize          "15 MB">
+  <!ENTITY exim-download-http      "http://www.exim.org/ftp/exim4/exim-&exim-version;.tar.bz2">
+  <!ENTITY exim-download-ftp       "ftp://ftp.exim.org/pub/exim/exim4/exim-&exim-version;.tar.bz2">
+  <!ENTITY exim-md5sum             "5d746275f2cc85845567f9d5eb84a57a">
+  <!ENTITY exim-size               "1.5 MB">
+  <!ENTITY exim-buildsize          "16 MB">
   <!ENTITY exim-time               "0.2 SBU">
 ]>
@@ -43,4 +41,6 @@
     under the GNU Public License.</para>
 
+    &lfs70_checked;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -67,8 +67,4 @@
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
-      <!-- <listitem>
-        <para>Required patch for Berkeley DB: <ulink
-        url="&patch-root;/exim-&exim-version;-db43-1.patch"/></para>
-      </listitem> -->
       <listitem>
         <para>Additional formats of the documentation (text-based docs are
@@ -81,19 +77,22 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="db"/> or
-    <!-- <xref linkend="gdbm"/> -->
-    GDBM (GDBM built in LFS) or
-    <ulink url="http://sourceforge.net/projects/tdb">TDB</ulink></para>
+    <para role="required">
+      <xref linkend="db"/> or
+      GDBM (GDBM built in LFS) or
+      <ulink url="http://sourceforge.net/projects/tdb">TDB</ulink>
+    </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="x-window-system"/>,
-    <xref linkend="openldap"/>,
-    <xref linkend="openssl"/> or <xref linkend="gnutls"/>,
-    <xref linkend="cyrus-sasl"/>,
-    <xref linkend="mysql"/>,
-    <xref linkend="postgresql"/>,
-    <xref linkend="sqlite"/>,
-    <xref linkend="tcpwrappers"/>, and
-    <xref linkend="linux-pam"/></para>
+    <para role="optional">
+      <xref linkend="x-window-system"/>,
+      <xref linkend="openldap"/>,
+      <xref linkend="openssl"/> or <xref linkend="gnutls"/>,
+      <xref linkend="cyrus-sasl"/>,
+      <xref linkend="mysql"/>,
+      <xref linkend="postgresql"/>,
+      <xref linkend="sqlite"/>,
+      <xref linkend="tcpwrappers"/>, and
+      <xref linkend="linux-pam"/>
+    </para>
 
     <para condition="html" role="usernotes">User Notes: