Index: index.xml
===================================================================
--- index.xml	(revision ff3b4cd839df2fb9301135a0282ec1972e0be240)
+++ index.xml	(revision 34598aee42f2051ccdb4abce0fbc82b1cf506ce4)
@@ -3,7 +3,7 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040513">
-<!ENTITY releasedate "May 13th, 2004">
-<!ENTITY pubdate "2004-05-13">
+<!ENTITY version "CVS-20040515">
+<!ENTITY releasedate "May 15th, 2004">
+<!ENTITY pubdate "2004-05-15">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/important/bootscripts.xml
===================================================================
--- introduction/important/bootscripts.xml	(revision ff3b4cd839df2fb9301135a0282ec1972e0be240)
+++ introduction/important/bootscripts.xml	(revision 34598aee42f2051ccdb4abce0fbc82b1cf506ce4)
@@ -1,18 +1,25 @@
-<sect1 id="intro-important-bootscripts" xreflabel="lfs-bootscripts">
+<sect1 id="intro-important-bootscripts" xreflabel="blfs-bootscripts-&blfs-bootscripts-version;">
 <?dbhtml filename="bootscripts.html"?>
-<title><acronym>LFS</acronym> Boot Scripts</title>
+<title><acronym>BLFS</acronym> Boot Scripts</title>
 
-<para>The lfs-bootscripts package that was used in <acronym>LFS</acronym> also
-contains bootscripts for <acronym>BLFS</acronym>.
+<para>The BLFS Bootscripts package contains the init scripts that are
+used throughout the book. It is assumed that you will be using the blfs-bootscripts
+package in conjuction with a compatible lfs-bootscripts package.
 Refer to <ulink url="&lfs-root;/chapter07/bootscripts.html"/> for more
 information on the lfs-bootscripts package.</para>
 
-<para>The lfs-bootscripts package will be used throughout the <acronym>BLFS</acronym>
-the book for startup scripts.  Unlike <acronym>LFS</acronym>, each init script
-has a seperate install target in the lfs-bootscrits package. 
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download: <ulink url="&blfs-bootscripts-download;"/></para></listitem>
+</itemizedlist>
+</sect3>
+
+<para>The blfs-bootscripts package will be used throughout the <acronym>BLFS</acronym>
+book for startup scripts.  Unlike <acronym>LFS</acronym>, each init script
+has a seperate install target in the blfs-bootscrits package. 
 It is recomended you keep the package
 source directory around until completion of your
 <acronym>BLFS</acronym> system.  When a script is requested from
-lfs-bootscritps, simply change to the directory and execute the given
+blfs-bootscritps, simply change to the directory and execute the given
 <command>make install-&lt;init-script&gt;</command> command. This command installs the
 init script to its proper location (along with any auxillary configuration
Index: introduction/introduction.ent
===================================================================
--- introduction/introduction.ent	(revision ff3b4cd839df2fb9301135a0282ec1972e0be240)
+++ introduction/introduction.ent	(revision 34598aee42f2051ccdb4abce0fbc82b1cf506ce4)
@@ -1,3 +1,6 @@
 <!ENTITY introduction SYSTEM "introduction.xml">
+
+<!ENTITY blfs-bootscripts-version "2004-05-14">
+<!ENTITY blfs-bootscripts-download "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
 <!ENTITY intro-welcome SYSTEM "welcome/welcome.xml">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ff3b4cd839df2fb9301135a0282ec1972e0be240)
+++ introduction/welcome/changelog.xml	(revision 34598aee42f2051ccdb4abce0fbc82b1cf506ce4)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>May 15th, 2004 [tushar]: Genesis of the blfs-bootscripts
+package.</para></listitem>
 
 <listitem><para>May 13th, 2004 [tushar]: Improved which script as per
Index: postlfs/security/heimdal/heimdal-config.xml
===================================================================
--- postlfs/security/heimdal/heimdal-config.xml	(revision ff3b4cd839df2fb9301135a0282ec1972e0be240)
+++ postlfs/security/heimdal/heimdal-config.xml	(revision 34598aee42f2051ccdb4abce0fbc82b1cf506ce4)
@@ -176,5 +176,4 @@
 </para>
 
-<!--
 <para>Install <filename>/etc/rc.d/init.d/heimdal</filename> init script
 included in the <xref linkend="intro-important-bootscripts"/>
@@ -182,96 +181,4 @@
 
 <screen><userinput><command>make install-heimdal</command></userinput></screen>
--->
-
-<para>
-To automate the running of Kerberos server and 
-<command>kpasswdd</command> daemon, use the following command to create
-the init.d script:
-</para>
-
-<screen><userinput><command>cat &gt;etc/rc.d/init.d/heimdal &lt;&lt; "EOF"</command>
-#!/bin/sh
-# Begin $rc_base/init.d/heimdal
-
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
-# Heimdal bootscript submitted by Randy McMurchy &lt;LFS-User_at_mcmurchy_dot_com&gt;
-
-. /etc/sysconfig/rc
-. $rc_functions
-
-case "$1" in
-        start)  
-                echo "Starting KDC Server Daemon..."
-                if test -f "/var/run/kdc.pid"
-                then
-                        print_status warning running
-                else
-                        /usr/sbin/kdc &amp;
-                        sleep 1
-                        if test -f "/var/run/kdc.pid"
-                        then
-                                print_status success
-                        else
-                                print_status failure
-                        fi
-                fi
-                echo "Starting KDC kpasswdd Daemon..."
-                if test -f "/var/run/kpasswdd.pid"
-                then
-                        print_status warning running
-                else
-                        /usr/sbin/kpasswdd &amp;
-                        sleep 1
-                        if test -f "/var/run/kpasswdd.pid"
-                        then
-                                print_status success
-                        else
-                                print_status failure
-                        fi
-                fi
-                ;;
-
-        stop)   
-                echo "Stopping KDC kpasswdd Daemon..."
-                killproc /usr/sbin/kpasswdd
-                echo "Stopping KDC Server Daemon..."
-                killproc /usr/sbin/kdc
-                ;;
-
-        restart)
-                $0 stop
-                sleep 1
-                $0 start
-                ;;
-
-        status)
-                statusproc /usr/sbin/kdc
-                statusproc /usr/sbin/kpasswdd
-                ;;
-
-        *)
-                echo "Usage: $0 {start|stop|restart|status}"
-                exit 1
-                ;;
-esac
-
-# End $rc_base/init.d/heimdal
-<command>EOF
-chmod 754 /etc/rc.d/init.d/heimdal</command></userinput></screen>
-
-<para>
-Create the symbolic links to this file in the relevant <filename
-class="directory">rc.d</filename> directory with the following commands:
-</para>
-
-<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
-ln -sf ../init.d/heimdal ../rc0.d/K42heimdal &amp;&amp;
-ln -sf ../init.d/heimdal ../rc1.d/K42heimdal &amp;&amp;
-ln -sf ../init.d/heimdal ../rc2.d/K42heimdal &amp;&amp;
-ln -sf ../init.d/heimdal ../rc3.d/S28heimdal &amp;&amp;
-ln -sf ../init.d/heimdal ../rc4.d/S28heimdal &amp;&amp;
-ln -sf ../init.d/heimdal ../rc5.d/S28heimdal &amp;&amp;
-ln -sf ../init.d/heimdal ../rc6.d/K42heimdal</command></userinput></screen>
 
 </sect4>