Index: general.ent
===================================================================
--- general.ent	(revision cb04184e300d5ae274a10f75c167db901eaf1a65)
+++ general.ent	(revision 034643ff258fc2e88731b3c4ec9cfae5cd9b0b16)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "06">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 6th, &year;">
+<!ENTITY releasedate  "December 7th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/graphlib/poppler.xml
===================================================================
--- general/graphlib/poppler.xml	(revision cb04184e300d5ae274a10f75c167db901eaf1a65)
+++ general/graphlib/poppler.xml	(revision 034643ff258fc2e88731b3c4ec9cfae5cd9b0b16)
@@ -7,7 +7,7 @@
   <!ENTITY poppler-download-http "https://poppler.freedesktop.org/poppler-&poppler-version;.tar.xz">
   <!ENTITY poppler-download-ftp  " ">
-  <!ENTITY poppler-md5sum        "813781b450e8ccd4f780b870ff389e53">
+  <!ENTITY poppler-md5sum        "eb4a8465b03ec58cc6a3277aa7d4fa7b">
   <!ENTITY poppler-size          "1.6 MB">
-  <!ENTITY poppler-buildsize     "95 MB (with Qt5 library and tests)">
+  <!ENTITY poppler-buildsize     "96 MB (with Qt5 library and tests)">
   <!ENTITY poppler-time          "0.7 SBU (with parallelism=4, Qt5 library, and tests)">
 
@@ -171,7 +171,6 @@
        -DCMAKE_INSTALL_PREFIX=/usr  \
        -DTESTDATADIR=$PWD/testfiles \
-       -DENABLE_UNSTABLE_API_ABI_HEADERS=ON     \
-<!--       -DENABLE_GTK_DOC=ON          \
--->       ..                           &amp;&amp;
+       -DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
+       ..                           &amp;&amp;
 make</userinput></screen>
 
Index: general/prog/pygments.xml
===================================================================
--- general/prog/pygments.xml	(revision cb04184e300d5ae274a10f75c167db901eaf1a65)
+++ general/prog/pygments.xml	(revision 034643ff258fc2e88731b3c4ec9cfae5cd9b0b16)
@@ -8,7 +8,7 @@
            "https://files.pythonhosted.org/packages/source/P/Pygments/Pygments-&pygments-version;.tar.gz">
   <!ENTITY pygments-download-ftp " ">
-  <!ENTITY pygments-md5sum        "cc5a6c0f34a958f879852d957a417742">
+  <!ENTITY pygments-md5sum        "3db74ee3bd11e1196dccf0b770c5d238">
   <!ENTITY pygments-size          "2.2 MB">
-  <!ENTITY pygments-buildsize     "24 MB">
+  <!ENTITY pygments-buildsize     "18 MB">
   <!ENTITY pygments-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cb04184e300d5ae274a10f75c167db901eaf1a65)
+++ introduction/welcome/changelog.xml	(revision 034643ff258fc2e88731b3c4ec9cfae5cd9b0b16)
@@ -43,4 +43,22 @@
     -->
     <listitem>
+      <para>December 7th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to feh-3.6.1. Fixes
+          <ulink url="&blfs-ticket-root;14349">#14349</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Pygments-2.7.3. Fixes
+          <ulink url="&blfs-ticket-root;14347">#14347</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to poppler-20.12.1. Fixes
+          <ulink url="&blfs-ticket-root;14346">#14346</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 5th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision cb04184e300d5ae274a10f75c167db901eaf1a65)
+++ packages.ent	(revision 034643ff258fc2e88731b3c4ec9cfae5cd9b0b16)
@@ -234,5 +234,5 @@
 <!ENTITY openjpeg2-version            "2.3.1">
 <!ENTITY pixman-version               "0.40.0">   <!-- Even minors only -->
-<!ENTITY poppler-version              "20.12.0">
+<!ENTITY poppler-version              "20.12.1">
 <!ENTITY potrace-version              "1.16">
 <!ENTITY qpdf-version                 "10.0.4">
@@ -560,5 +560,5 @@
 <!--<!ENTITY pycrypto-version             "2.6.1"> Replaced by pycryptodome -->
 <!ENTITY pycryptodome-version         "3.9.9">
-<!ENTITY pygments-version             "2.7.2">
+<!ENTITY pygments-version             "2.7.3">
 <!ENTITY pygobject2-version           "2.28.7">
 <!ENTITY pygobject3-version           "3.38.0">
@@ -922,5 +922,5 @@
 <!ENTITY balsa-version                "2.5.11">
 <!ENTITY ekiga-version                "4.0.1">
-<!ENTITY feh-version                  "3.6">
+<!ENTITY feh-version                  "3.6.1">
 <!--<!ENTITY fontforge-date               "2015-02-28">-->
 <!ENTITY fontforge-version            "20201107">
Index: xsoft/other/feh.xml
===================================================================
--- xsoft/other/feh.xml	(revision cb04184e300d5ae274a10f75c167db901eaf1a65)
+++ xsoft/other/feh.xml	(revision 034643ff258fc2e88731b3c4ec9cfae5cd9b0b16)
@@ -7,7 +7,7 @@
   <!ENTITY feh-download-http "http://feh.finalrewind.org/feh-&feh-version;.tar.bz2">
   <!ENTITY feh-download-ftp  " ">
-  <!ENTITY feh-md5sum        "4bda4b5b52366d4fe2a1573514ecde3f">
+  <!ENTITY feh-md5sum        "0dd986d77805cd306a81864c69cf040c">
   <!ENTITY feh-size          "2.0 MB">
-  <!ENTITY feh-buildsize     "5.3 MB (with tests)">
+  <!ENTITY feh-buildsize     "5.4 MB (with tests)">
   <!ENTITY feh-time          "less than 0.1 SBU (with tests)">
 ]>