Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision fd42347a8cbae352124e669278966d2ed0640fad)
+++ gnome/applications/gnome-maps.xml	(revision 34706a0a9bb0392b6550c5c5985bfd76d88b069c)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-maps-download-ftp
            "&gnome-download-ftp;/gnome-maps/&gnome-minor-20;/gnome-maps-&gnome-maps-version;.tar.xz">
-  <!ENTITY gnome-maps-md5sum        "e0290749c646ad0baa3f5042d56326f7">
+  <!ENTITY gnome-maps-md5sum        "6df409e80ea174b2592ab773c24cf048">
   <!ENTITY gnome-maps-size          "1.0 MB">
   <!ENTITY gnome-maps-buildsize     "13 MB">
Index: gnome/platform/libchamplain.xml
===================================================================
--- gnome/platform/libchamplain.xml	(revision fd42347a8cbae352124e669278966d2ed0640fad)
+++ gnome/platform/libchamplain.xml	(revision 34706a0a9bb0392b6550c5c5985bfd76d88b069c)
@@ -9,7 +9,7 @@
   <!ENTITY libchamplain-download-ftp
            "&gnome-download-ftp;/libchamplain/0.12/libchamplain-&libchamplain-version;.tar.xz">
-  <!ENTITY libchamplain-md5sum        "faf30aa4444c8404e76518a266157447">
-  <!ENTITY libchamplain-size          "592 KB">
-  <!ENTITY libchamplain-buildsize     "19 MB">
+  <!ENTITY libchamplain-md5sum        "2e11f39003e74dd0d87b56477f7ee5aa">
+  <!ENTITY libchamplain-size          "604 KB">
+  <!ENTITY libchamplain-buildsize     "18 MB">
   <!ENTITY libchamplain-time          "0.2 SBU">
 ]>
@@ -157,5 +157,5 @@
         <seg>
           /usr/include/{libchamplain-0.12,libchamplain-gtk-0.12} and
-          /usr/share/gtk-doc/html/{libchamplain,libchamplain-gtk}
+          /usr/share/gtk-doc/html/{libchamplain-0.12,libchamplain-gtk-0.12}
         </seg>
       </seglistitem>
Index: gnome/platform/telepathy-mission-control.xml
===================================================================
--- gnome/platform/telepathy-mission-control.xml	(revision fd42347a8cbae352124e669278966d2ed0640fad)
+++ gnome/platform/telepathy-mission-control.xml	(revision 34706a0a9bb0392b6550c5c5985bfd76d88b069c)
@@ -8,8 +8,8 @@
            "http://telepathy.freedesktop.org/releases/telepathy-mission-control/telepathy-mission-control-&telepathy-mission-control-version;.tar.gz">
   <!ENTITY telepathy-mission-control-download-ftp  " ">
-  <!ENTITY telepathy-mission-control-md5sum        "af583c41b97c649c37eebba1f2113427">
-  <!ENTITY telepathy-mission-control-size          "1.1 MB">
+  <!ENTITY telepathy-mission-control-md5sum        "eab6c941038702edeece1168f395300c">
+  <!ENTITY telepathy-mission-control-size          "1.0 MB">
   <!ENTITY telepathy-mission-control-buildsize     "27 MB">
-  <!ENTITY telepathy-mission-control-time          "0.2 SBU">
+  <!ENTITY telepathy-mission-control-time          "0.3 SBU">
 ]>
 
@@ -89,6 +89,6 @@
     <para role="optional">
       <xref linkend="gtk-doc"/>,
-      <ulink url="&gnome-download-http;/libgnome-keyring">libgnome-keyring</ulink>
-<!--      <xref linkend="upower"/> (doesn't work) -->
+      <ulink url="&gnome-download-http;/libgnome-keyring">libgnome-keyring</ulink>, and
+      <xref linkend="upower"/>
     </para>
 
@@ -106,5 +106,5 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-static --disable-upower &amp;&amp;
+<screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
 make</userinput></screen>
 
@@ -124,10 +124,13 @@
     <title>Command Explanations</title>
 
-    <para>
-      <parameter>--disable-upower</parameter> This switch
+<!--
+    <para>
+      <parameter>- -disable-upower</parameter> This switch
       disables the use of <application>UPower</application>
       because <application>Telepathy Mission Control</application>
       fails to build with latest version.
     </para>
+As far as I can tell, this is no longer needed as of 5.16.4. -renodr 
+-->
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -149,5 +152,5 @@
       <seglistitem>
         <seg>
-          mc-tool, mc-wait-for-name and mission-control-5
+          mc-tool, mc-wait-for-name and mission-control-5 (library executable)
         </seg>
         <seg>
@@ -155,6 +158,5 @@
         </seg>
         <seg>
-          /usr/include/mission-control-5.5,
-          /usr/lib/telepathy and
+          /usr/include/mission-control-5.5 and
           /usr/share/gtk-doc/html/mission-control-plugins
         </seg>