Index: general.ent
===================================================================
--- general.ent	(revision 75e85c05dd2ba573d18b328b046b083acbc8bad6)
+++ general.ent	(revision 35251a7d4f436777e74e87a123ab940ba9962a6b)
@@ -635,5 +635,5 @@
 <!ENTITY gnome-power-manager-version  "2.28.2">
 <!ENTITY gnome-screensaver-version    "2.28.0">
-<!ENTITY gnome-system-monitor-version "2.28.0">
+<!ENTITY gnome-system-monitor-version "2.28.1">
 <!ENTITY gnome-utils-version          "2.28.1">
 <!ENTITY gucharmap-version            "2.28.2">
Index: gnome/add/gnome-speech.xml
===================================================================
--- gnome/add/gnome-speech.xml	(revision 75e85c05dd2ba573d18b328b046b083acbc8bad6)
+++ gnome/add/gnome-speech.xml	(revision 35251a7d4f436777e74e87a123ab940ba9962a6b)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-speech-md5sum        "89cbc23fc131c33396c0346085759f63">
   <!ENTITY gnome-speech-size          "329 KB">
-  <!ENTITY gnome-speech-buildsize     "4 MB">
+  <!ENTITY gnome-speech-buildsize     "5 MB">
   <!ENTITY gnome-speech-time          "0.1 SBU">
 ]>
@@ -167,8 +167,8 @@
 
       <seglistitem>
-        <seg>festival-synthesis-driver, freetts-synthesis-driver,
-        speechd-synthesis-driver and test-speech</seg>
-        <seg>libgnomespeech.so. Other drivers and libraries are also
-        installed if you have enabled additional backends.</seg>
+        <seg>festival-synthesis-driver and test-speech</seg>
+        <seg>libgnomespeech.so and GNOME_Speech_module.so. Other drivers and
+        libraries are also installed if you have enabled additional
+        backends.</seg>
         <seg><envar>$GNOME_PREFIX</envar>/{include/gnome-speech-1.0/gnome-speech,
         share/{doc/gnome-speech-&gnome-speech-version;,
@@ -203,4 +203,14 @@
       </varlistentry>
 
+      <varlistentry id="GNOME_Speech_module">
+        <term><filename class='libraryfile'>GNOME_Speech_module.so</filename></term>
+        <listitem>
+          <para>is an <application>ORBit2</application> module.</para>
+          <indexterm zone="gnome-speech GNOME_Speech_module">
+            <primary sortas="c-GNOME_Speech_module">GNOME_Speech_module.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
     </variablelist>
 
Index: gnome/add/gnome-system-monitor.xml
===================================================================
--- gnome/add/gnome-system-monitor.xml	(revision 75e85c05dd2ba573d18b328b046b083acbc8bad6)
+++ gnome/add/gnome-system-monitor.xml	(revision 35251a7d4f436777e74e87a123ab940ba9962a6b)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY gnome-system-monitor-download-http "&gnome-download-http;/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
-  <!ENTITY gnome-system-monitor-download-ftp  "&gnome-download-ftp;/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
-  <!ENTITY gnome-system-monitor-md5sum        "341c8fda9b518729e04465705da62994">
-  <!ENTITY gnome-system-monitor-size          "2.3 MB">
-  <!ENTITY gnome-system-monitor-buildsize     "20 MB">
+  <!ENTITY gnome-system-monitor-download-http "&gnome-download-http;/gnome-system-monitor/2.28/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
+  <!ENTITY gnome-system-monitor-download-ftp  "&gnome-download-ftp;/gnome-system-monitor/2.28/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
+  <!ENTITY gnome-system-monitor-md5sum        "064cf1a97d3dd1946bc3e55d8272c2c8">
+  <!ENTITY gnome-system-monitor-size          "2.2 MB">
+  <!ENTITY gnome-system-monitor-buildsize     "29 MB">
   <!ENTITY gnome-system-monitor-time          "0.5 SBU">
 ]>
@@ -67,6 +67,7 @@
     <xref linkend="gtkmm"/>,
     <xref linkend="libgtop"/>,
-    <xref linkend="librsvg"/>, and
-    <xref linkend="libwnck"/></para>
+    <xref linkend="librsvg"/>,
+    <xref linkend="libwnck"/>, and
+    <xref linkend="which"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 75e85c05dd2ba573d18b328b046b083acbc8bad6)
+++ introduction/welcome/changelog.xml	(revision 35251a7d4f436777e74e87a123ab940ba9962a6b)
@@ -45,4 +45,8 @@
       <itemizedlist>
         <listitem>
+          <para>[wblaszcz] - Updated to GNOME System Monitor-2.28.1 and minor
+          changes to GNOME Speech.</para>
+        </listitem>
+        <listitem>
           <para>[wblaszcz] - Updated to GNOME Magnifier-0.16.1.</para>
         </listitem>