Index: general.ent
===================================================================
--- general.ent	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general.ent	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "13">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 9th, &year;">
+<!ENTITY releasedate  "June 13th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/glib2.xml
===================================================================
--- general/genlib/glib2.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general/genlib/glib2.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,8 +7,8 @@
   <!ENTITY glib2-download-http "&gnome-download-http;/glib/2.60/glib-&glib2-version;.tar.xz">
   <!ENTITY glib2-download-ftp  "&gnome-download-ftp;/glib/2.60/glib-&glib2-version;.tar.xz">
-  <!ENTITY glib2-md5sum        "f28f2228e2b369cc866f18770baafe2b">
+  <!ENTITY glib2-md5sum        "87e2c4973470811dfed3d6746c961488">
   <!ENTITY glib2-size          "4.4 MB">
-  <!ENTITY glib2-buildsize     "164 MB (add 4 MB for tests)">
-  <!ENTITY glib2-time          "0.5 SBU (add 0.6 SBU for tests; both using paralleism=4)">
+  <!ENTITY glib2-buildsize     "197 MB (add 3 MB for tests)">
+  <!ENTITY glib2-time          "0.5 SBU (add 1.3 SBU for tests; both using paralleism=4)">
 ]>
 
@@ -209,5 +209,6 @@
 
     <para>
-      You should now install <xref linkend="desktop-file-utils"/> and proceed to
+      You should now install <xref linkend="desktop-file-utils"/> and 
+      <xref linkend="shared-mime-info"/> and proceed to
       run the test suite.
     </para>
@@ -226,4 +227,5 @@
       NOTE: systemd implements this as a hard requirement.
       -->
+      <!-- with 2.60.4 on systemd, all tests pass. -->
     </para>
 
Index: general/genutils/highlight.xml
===================================================================
--- general/genutils/highlight.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general/genutils/highlight.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,7 +7,7 @@
   <!ENTITY highlight-download-http "http://www.andre-simon.de/zip/highlight-&highlight-version;.tar.bz2">
   <!ENTITY highlight-download-ftp  " ">
-  <!ENTITY highlight-md5sum        "f15b50f90e095f8e79cc607382800e2e">
+  <!ENTITY highlight-md5sum        "665e3dcead466fc78ddd1068c833cbb8">
   <!ENTITY highlight-size          "1.3 MB">
-  <!ENTITY highlight-buildsize     "20 MB (with gui)">
+  <!ENTITY highlight-buildsize     "29 MB (with gui)">
   <!ENTITY highlight-time          "0.3 SBU (Using paralllelism=4; with gui)">
 ]>
Index: general/graphlib/babl.xml
===================================================================
--- general/graphlib/babl.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general/graphlib/babl.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,7 +7,7 @@
   <!ENTITY babl-download-http "https://download.gimp.org/pub/babl/0.1/babl-&babl-version;.tar.bz2">
   <!ENTITY babl-download-ftp  " ">
-  <!ENTITY babl-md5sum        "28fa9d43549378ceebe2871d7721dd46">
-  <!ENTITY babl-size          "684 KB">
-  <!ENTITY babl-buildsize     "17 MB (with tests)">
+  <!ENTITY babl-md5sum        "dcf1535cadfabe1b3f7c27638d7826a7">
+  <!ENTITY babl-size          "690 KB">
+  <!ENTITY babl-buildsize     "22 MB (with tests)">
   <!ENTITY babl-time          "0.3 SBU (with tests)">
 ]>
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general/prog/git.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -9,9 +9,9 @@
   <!ENTITY git-download-http "&git-root;/git-&git-version;.tar.xz">
   <!ENTITY git-download-ftp  " ">
-  <!ENTITY git-md5sum        "a74a7e716e1e548104bc942afc860fdb">
-  <!ENTITY git-size          "5.2 MB">
+  <!ENTITY git-md5sum        "fcaf01506175c56fe88d887f1ff02ce8">
+  <!ENTITY git-size          "5.4 MB">
   <!-- using gcc-8.1 the build and install are much bigger than with gcc-7.3 -->
-  <!ENTITY git-buildsize     "283 MB (with downloaded documentation)">
-  <!ENTITY git-time          "0.3 SBU (with parallelism=4; add 5.8 SBU for tests)">
+  <!ENTITY git-buildsize     "479 MB (with downloaded documentation)">
+  <!ENTITY git-time          "0.4 SBU (with parallelism=4; add 8.0 SBU for tests)">
 ]>
 
Index: general/prog/vala.xml
===================================================================
--- general/prog/vala.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general/prog/vala.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,8 +7,8 @@
   <!ENTITY vala-download-http "&gnome-download-http;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
   <!ENTITY vala-download-ftp  "&gnome-download-ftp;/vala/&vala-major-version;/vala-&vala-version;.tar.xz">
-  <!ENTITY vala-md5sum        "25f97c1b46ae0b60b5cc49cbc044eca2">
+  <!ENTITY vala-md5sum        "0b2b537bb098843f892f138cbdf0c6df">
   <!ENTITY vala-size          "3.2 MB">
-  <!ENTITY vala-buildsize     "169 MB (add 9 MB for tests)">
-  <!ENTITY vala-time          "0.5 SBU (Using parallelism=4; add 1.5 SBU for tests)">
+  <!ENTITY vala-buildsize     "170 MB (add 5 MB for tests)">
+  <!ENTITY vala-time          "1.0 SBU (add 1.5 SBU for tests)">
 ]>
 
Index: general/sysutils/dbus.xml
===================================================================
--- general/sysutils/dbus.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ general/sysutils/dbus.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,8 +7,9 @@
   <!ENTITY dbus-download-http "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
   <!ENTITY dbus-download-ftp  " ">
-  <!ENTITY dbus-md5sum        "ea11069521beeee4e47f0086596a43c8">
+  <!ENTITY dbus-md5sum        "2dbeae80dfc9e3632320c6a53d5e8890">
   <!ENTITY dbus-size          "2.0 MB">
-  <!ENTITY dbus-buildsize     "21 MB (add 8 MB for the tests)">
-  <!ENTITY dbus-time          "0.3 SBU (add 0.8 SBU for the tests)">
+  <!ENTITY dbus-buildsize     "21 MB (add 17 MB for the tests)">
+  <!ENTITY dbus-time          "0.3 SBU (add 8.5 SBU for the tests)">
+  <!-- The former value was 0.8 SBU, which was far more sensible. -->
 ]>
 
@@ -219,5 +220,5 @@
       If you are still building your system in chroot or you did not start the
       daemon yet, but you want to compile some packages that require
-      <application>D-Bus</application>, generate
+      <application>D-Bus</application>, generate the 
       <application>D-Bus</application> UUID to avoid warnings when compiling
       some packages with the following command as the
@@ -523,5 +524,7 @@
           /etc/dbus-1,
           /usr/{include,lib}/dbus-1.0,
+          /usr/lib/cmake/DBus1,
           /usr/share/dbus-1,
+          /usr/share/xml/dbus-1,
           /usr/share/doc/dbus-&dbus-version;, and
           /var/{lib,run}/dbus
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ introduction/welcome/changelog.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -44,4 +44,77 @@
 
     <listitem revision="sysv">
+      <para>June 13th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to gimp-2.10.12. Fixes
+          <ulink url="&blfs-ticket-root;12151">#12151</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to babl-0.1.66. Fixes
+          <ulink url="&blfs-ticket-root;12099">#12099</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to mutt-1.12.0. Fixes
+          <ulink url="&blfs-ticket-root;12100">#12100</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to glib-networking-2.60.3. Fixes
+          <ulink url="&blfs-ticket-root;12136">#12136</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>June 12th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to dbus-1.12.16. This is a security update for
+          CVE-2019-12749, an authentication bypass issue. Fixes
+          <ulink url="&blfs-ticket-root;12073">#12073</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to sessreg-1.1.2 (Xorg Application). Fixes
+          <ulink url="&blfs-ticket-root;12137">#12137</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to git-2.22.0. Fixes
+          <ulink url="&blfs-ticket-root;12135">#12135</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to vala-0.44.4. Fixes
+          <ulink url="&blfs-ticket-root;12129">#12129</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to highlight-3.52. Fixes
+          <ulink url="&blfs-ticket-root;12074">#12074</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to glib-2.60.4. This fixes a severe
+          security vulnerability in the GIO subsystem that allows for
+          modification of files. Fixes
+          <ulink url="&blfs-ticket-root;12084">#12084</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>June 11th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to libevent-2.1.10. Fixes
+          <ulink url="&blfs-ticket-root;12144">#12144</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to firefox-67.0.2. Fixes
+          <ulink url="&blfs-ticket-root;12143">#12143</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to p11-kit-0.23.16.1. Fixes
+          <ulink url="&blfs-ticket-root;12094">#12094</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 9th, 2019</para>
       <itemizedlist>
Index: networking/mailnews/mutt.xml
===================================================================
--- networking/mailnews/mutt.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ networking/mailnews/mutt.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,8 +7,8 @@
   <!ENTITY mutt-download-http "http://ftp.mutt.org/pub/mutt/mutt-&mutt-version;.tar.gz">
   <!ENTITY mutt-download-ftp  "ftp://ftp.mutt.org/pub/mutt/mutt-&mutt-version;.tar.gz">
-  <!ENTITY mutt-md5sum        "e6b3e8e437b554beafdce0baa34d9adc">
-  <!ENTITY mutt-size          "4.4 MB">
-  <!ENTITY mutt-buildsize     "45 MB (add 6MB for the PDF manual)">
-  <!ENTITY mutt-time          "0.4 SBU (add 0.2 SBU for the PDF manual)">
+  <!ENTITY mutt-md5sum        "2a6491745de2f76631aa06a6f2b46a7b">
+  <!ENTITY mutt-size          "4.5 MB">
+  <!ENTITY mutt-buildsize     "42 MB (add 10MB for the PDF manual)">
+  <!ENTITY mutt-time          "0.4 SBU (add 0.5 SBU for the PDF manual)">
 ]>
 
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ networking/netlibs/glib-networking.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -9,8 +9,8 @@
   <!ENTITY glib-networking-download-ftp
     "&gnome-download-ftp;/glib-networking/2.60/glib-networking-&glib-networking-version;.tar.xz">
-  <!ENTITY glib-networking-md5sum        "bf46d1208ac00d78a45fbf621d459025">
+  <!ENTITY glib-networking-md5sum        "e8fd0462a82269fb4bbd6c07a1e7d0f4">
   <!ENTITY glib-networking-size          "184 KB">
-  <!ENTITY glib-networking-buildsize     "4.3 MB (with tests)">
-  <!ENTITY glib-networking-time          "less than 0.1 SBU (with tests)">
+  <!ENTITY glib-networking-buildsize     "5.7 MB (with tests)">
+  <!ENTITY glib-networking-time          "0.1 SBU (with tests)">
 ]>
 
Index: networking/netlibs/libevent.xml
===================================================================
--- networking/netlibs/libevent.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ networking/netlibs/libevent.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -9,8 +9,8 @@
   <!ENTITY libevent-download-http "&libevent-source;/release-&libevent-version;-stable/libevent-&libevent-version;-stable.tar.gz">
   <!ENTITY libevent-download-ftp  " ">
-  <!ENTITY libevent-md5sum        "f3eeaed018542963b7d2416ef1135ecc">
+  <!ENTITY libevent-md5sum        "999caf86f52943af2363bc8077f00167">
   <!ENTITY libevent-size          "1.0 MB">
-  <!ENTITY libevent-buildsize     "18 MB (add 1 MB for the tests and 6 MB for the API docs)">
-  <!ENTITY libevent-time          "0.3 SBU (add 10 SBU for the tests)">
+  <!ENTITY libevent-buildsize     "24 MB (add 3 MB for the tests and 6 MB for the API docs)">
+  <!ENTITY libevent-time          "0.3 SBU (add 12 SBU for the tests)">
 ]>
 
@@ -78,4 +78,5 @@
 
     <bridgehead renderas="sect3">libevent Dependencies</bridgehead>
+    <!-- Python3 ports of the rpcgen_event.py file were produced in 2.1.9 -->
 <!--
     <bridgehead renderas="sect4">Recommended</bridgehead>
Index: packages.ent
===================================================================
--- packages.ent	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ packages.ent	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -37,5 +37,5 @@
 <!-- <!ENTITY openssl-version              "1.1.0g"> -->
 <!ENTITY openssl10-version            "1.0.2q">
-<!ENTITY p11-kit-version              "0.23.15">
+<!ENTITY p11-kit-version              "0.23.16.1">
 <!ENTITY polkit-version               "0.116">
 <!ENTITY shadow-version               "4.6">
@@ -100,5 +100,5 @@
 <!ENTITY fftw-version                 "3.3.8">
 <!ENTITY gcab-version                 "0.7">
-<!ENTITY glib2-version                "2.60.2">
+<!ENTITY glib2-version                "2.60.4">
 <!ENTITY glibmm-version               "2.60.0">
 <!ENTITY gmime-version                "2.6.23">
@@ -194,5 +194,5 @@
 <!-- Chapter 10 -->
 <!ENTITY aalib-version                "1.4rc5">
-<!ENTITY babl-version                 "0.1.62">
+<!ENTITY babl-version                 "0.1.66">
 <!ENTITY exiv2-version                "0.27.1">
 <!ENTITY freetype2-version            "2.10.0">
@@ -242,5 +242,5 @@
 <!ENTITY gtkhtml-version              "4.10.0">
 <!ENTITY hd2u-version                 "1.0.4">
-<!ENTITY highlight-version            "3.50">
+<!ENTITY highlight-version            "3.52">
 <!ENTITY ibus-version                 "1.5.20">
 <!ENTITY imagemagick6-version         "6.9.10">
@@ -272,5 +272,5 @@
 <!ENTITY cpio-version                 "2.12">
 <!ENTITY cups-pk-helper-version       "0.2.6">
-<!ENTITY dbus-version                 "1.12.12">   <!-- Even minors only -->
+<!ENTITY dbus-version                 "1.12.16">   <!-- Even minors only -->
 <!ENTITY elogind-version              "241.3">
 <!ENTITY eudev-version                "1.7">
@@ -322,5 +322,5 @@
 <!ENTITY gc-version                   "8.0.4">
 <!ENTITY gdb-version                  "8.3">
-<!ENTITY git-version                  "2.21.0">
+<!ENTITY git-version                  "2.22.0">
 <!ENTITY guile-version                "2.2.4">
 <!ENTITY librep-version               "0.92.7">
@@ -347,5 +347,5 @@
 <!ENTITY tk-version                   "8.6.9">
 <!ENTITY vala-major-version           "0.44">  <!-- even minors only -->
-<!ENTITY vala-version                 "&vala-major-version;.3">
+<!ENTITY vala-version                 "&vala-major-version;.4">
 <!ENTITY valgrind-version             "3.15.0">
 <!ENTITY yasm-version                 "1.3.0">
@@ -578,7 +578,7 @@
 <!ENTITY curl-version                 "7.65.1">
 <!ENTITY geoclue2-version             "2.5.3">
-<!ENTITY glib-networking-version      "2.60.2">
+<!ENTITY glib-networking-version      "2.60.3">
 <!ENTITY ldns-version                 "1.7.0">
-<!ENTITY libevent-version             "2.1.8">
+<!ENTITY libevent-version             "2.1.10">
 <!ENTITY libnl-version                "3.4.0">
 <!ENTITY libnl-dl-version             "3_4_0">
@@ -605,5 +605,5 @@
 <!ENTITY procmail-version             "3.22">
 <!ENTITY fetchmail-version            "6.3.26">
-<!ENTITY mutt-version                 "1.11.4">
+<!ENTITY mutt-version                 "1.12.0">
 <!ENTITY alpine-version               "2.21">
 
@@ -868,5 +868,5 @@
 <!ENTITY epiphany-version             "3.32.2">
 <!ENTITY falkon-version               "3.0.1">
-<!ENTITY firefox-version              "67.0.1">
+<!ENTITY firefox-version              "67.0.2">
 <!ENTITY flashplayer-version          "27.0.0.187">
 <!ENTITY qupzilla-version             "2.2.6">
@@ -880,5 +880,5 @@
 <!ENTITY fontforge-version            "20170731">
 <!ENTITY gparted-version              "0.33.0">
-<!ENTITY gimp-version                 "2.10.10">
+<!ENTITY gimp-version                 "2.10.12">
 <!ENTITY hexchat-version              "2.14.2">
 <!ENTITY icedtea-web-version          "1.7.1">
Index: postlfs/security/p11-kit.xml
===================================================================
--- postlfs/security/p11-kit.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ postlfs/security/p11-kit.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,7 +7,7 @@
   <!ENTITY p11-kit-download-http "https://github.com/p11-glue/p11-kit/releases/download/&p11-kit-version;/p11-kit-&p11-kit-version;.tar.gz">
   <!ENTITY p11-kit-download-ftp  " ">
-  <!ENTITY p11-kit-md5sum        "c4c3eecfe6bd6e62e436f62b51980749">
+  <!ENTITY p11-kit-md5sum        "090a9cf689efd8d4899600c3093b3735">
   <!ENTITY p11-kit-size          "1.2 MB">
-  <!ENTITY p11-kit-buildsize     "46 MB (add 166 MB for tests)">
+  <!ENTITY p11-kit-buildsize     "65 MB (add 168 MB for tests)">
   <!ENTITY p11-kit-time          "0.4 SBU (add 0.6 SBU for tests)">
 ]>
@@ -73,4 +73,6 @@
     <bridgehead renderas="sect3">p11-kit Dependencies</bridgehead>
 
+    <!-- There is a check for libsystemd. It seems to install a systemd service
+    in /usr/lib/systemd/user.-->
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
@@ -177,5 +179,5 @@
       <seglistitem>
         <seg>
-          p11-kit and trust
+          p11-kit, trust, and update-ca-certificates
         </seg>
         <seg>
@@ -185,5 +187,6 @@
           /etc/pkcs11,
           /usr/include/p11-kit-1,
-          /usr/lib/{p11-kit,pkcs11},
+          /usr/lib/pkcs11,
+          /usr/libexec/p11-kit,
           /usr/share/gtk-doc/html/p11-kit, and
           /usr/share/p11-kit
@@ -228,6 +231,6 @@
           <para>
             is a command line tool to both extract local certificates from an
-            upadated anchor store, and regenerate all anchors and certificate
-	    stores on the system. This is done unconditionally on BLFS using
+            updated anchor store, and regenerate all anchors and certificate
+	         stores on the system. This is done unconditionally on BLFS using
             the <parameter>--force</parameter> and <parameter>--get</parameter>
             flags to <command>make-ca</command> and should likely not be used
Index: x/installing/x7app.xml
===================================================================
--- x/installing/x7app.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ x/installing/x7app.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -26,6 +26,6 @@
   <!ENTITY mkfontscale-md5sum              "215940de158b1a3d8b3f8b442c606e2f">
 
-  <!ENTITY sessreg-version                 "1.1.1">
-  <!ENTITY sessreg-md5sum                  "e475167a892b589da23edf8edf8c942d">
+  <!ENTITY sessreg-version                 "1.1.2">
+  <!ENTITY sessreg-md5sum                  "92be564d4be7d8aa7b5024057b715210">
 
   <!ENTITY setxkbmap-version               "1.3.1">
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ x/lib/gdk-pixbuf.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -165,5 +165,5 @@
       <xref linkend="jasper"/> and you want
       <application>Gdk Pixbuf</application> to use it to compile a
-      JPEG2000 image loader, pass this switch to configure.
+      JPEG2000 image loader, pass this switch to meson.
     </para>
 
Index: xsoft/graphweb/firefox.xml
===================================================================
--- xsoft/graphweb/firefox.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ xsoft/graphweb/firefox.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,6 +7,6 @@
   <!ENTITY firefox-download-http "&mozilla-http;/firefox/releases/&firefox-version;/source/firefox-&firefox-version;.source.tar.xz">
   <!ENTITY firefox-download-ftp  " ">
-  <!ENTITY firefox-md5sum        "6f11beffb05aac9574df95c2ee35e332">
-  <!ENTITY firefox-size          "275 MB">
+  <!ENTITY firefox-md5sum        "44ddd660e0d195be793a0f5d79946709">
+  <!ENTITY firefox-size          "270 MB">
   <!-- NB with stylo, much of the build uses rust, and therefore cargo files.
     But the extra cached cargo files, if any, seem to be minimal -->
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision 18d3f274710a2d00b9eeebf21843c97c4d141867)
+++ xsoft/other/gimp.xml	(revision 35400a4105a9b0c815659531b8d9964ce4264a99)
@@ -7,8 +7,8 @@
   <!ENTITY gimp-download-http "https://download.gimp.org/pub/gimp/v2.10/gimp-&gimp-version;.tar.bz2">
   <!ENTITY gimp-download-ftp  " ">
-  <!ENTITY gimp-md5sum        "0b837ea2bbf801da7f5306df4c99fa18">
-  <!ENTITY gimp-size          "31 MB">
-  <!ENTITY gimp-buildsize     "707 MB (198 MB installed, add 947 MB for tests)">
-  <!ENTITY gimp-time          "1.9 SBU (Using parallelism=4; add 1.0 SBU for tests)">
+  <!ENTITY gimp-md5sum        "4cb0a17ea885ad197b5921c78d83456a">
+  <!ENTITY gimp-size          "32 MB">
+  <!ENTITY gimp-buildsize     "897 MB (194 MB installed, add 927 MB for tests)">
+  <!ENTITY gimp-time          "2.1 SBU (Using parallelism=4; add 0.8 SBU for tests)">
 
   <!-- pro-tem, a pull of gimp-help, https://gitlab.gnome.org/GNOME/gimp-help.git