Index: multimedia/libdriv/libdvdcss.xml
===================================================================
--- multimedia/libdriv/libdvdcss.xml	(revision aefbca4dc46cf7d20f8e84fbbb03077cd8d6c3a0)
+++ multimedia/libdriv/libdvdcss.xml	(revision 35944d3b50e8a18837fdfa718e935fbfb1fd26f6)
@@ -1,2 +1,3 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
 <!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN"
    "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd" [
@@ -13,99 +14,113 @@
 
 <sect1 id="libdvdcss" xreflabel="libdvdcss-&libdvdcss-version;">
-<sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
-</sect1info>
-<?dbhtml filename="libdvdcss.html"?>
-<title>libdvdcss-&libdvdcss-version;</title>
-<indexterm zone="libdvdcss">
-<primary sortas="a-Libdvdcss">Libdvdcss</primary></indexterm>
+  <?dbhtml filename="libdvdcss.html"?>
 
-<sect2>
-<title>Introduction to <application>libdvdcss</application></title>
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
 
-<para><application>libdvdcss</application> is a simple library designed for 
-accessing <acronym>DVD</acronym>s as a block device without having to bother 
-about the decryption.</para>
+  <title>Libdvdcss-&libdvdcss-version;</title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&libdvdcss-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&libdvdcss-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &libdvdcss-md5sum;</para></listitem>
-<listitem><para>Download size: &libdvdcss-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&libdvdcss-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&libdvdcss-time;</para></listitem></itemizedlist>
-</sect3>
+  <indexterm zone="libdvdcss">
+    <primary sortas="a-Libdvdcss">Libdvdcss</primary>
+  </indexterm>
 
-<sect3><title><application>libdvdcss</application> dependencies</title>
-<sect4><title>Optional</title>
-<para><xref linkend="doxygen"/></para>
-</sect4>
-</sect3>
+  <sect2 role="package">
+    <title>Introduction to Libdvdcss</title>
 
-</sect2>
+    <para><application>libdvdcss</application> is a simple library 
+    designed for accessing DVDs as a block device without having to 
+    bother about the decryption.</para>
 
-<sect2>
-<title>Installation of <application>libdvdcss</application></title>
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&libdvdcss-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&libdvdcss-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &libdvdcss-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &libdvdcss-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &libdvdcss-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &libdvdcss-time;</para>
+      </listitem>
+    </itemizedlist>
 
-<para>Install <application>libdvdcss</application> by running the
-following commands:</para>
+    <bridgehead renderas="sect3">Libdvdcss Dependencies</bridgehead>
 
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
-make</command></userinput></screen>
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para><xref linkend="doxygen"/></para>
 
-<para>If you have <application>Doxygen</application> installed and wish to 
-build the <acronym>HTML</acronym> documentation, issue the following 
-command:</para>
+  </sect2>
 
-<screen><userinput><command>make -C doc doc</command></userinput></screen>
+  <sect2 role="installation">
+    <title>Installation of Libdvdcss</title>
 
-<para>Now, as the root user:</para>
+    <para>Install <application>libdvdcss</application> by running the
+    following commands:</para>
 
-<screen><userinput role='root'><command>make install</command></userinput></screen>
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
 
-<para>If you built the <acronym>HTML</acronym> documentation, install it using 
-the following commands as the root user:</para>
+    <para>If you have <application>Doxygen</application> installed and 
+    wish to build the HTML documentation, issue the following command:</para>
 
-<screen><userinput role='root'><command>install -v -m755 -d /usr/share/doc/libdvdcss-&libdvdcss-version; &amp;&amp;
-install -v -m644 doc/html/* /usr/share/doc/libdvdcss-&libdvdcss-version;</command></userinput></screen>
+<screen><userinput>make -C doc doc</userinput></screen>
 
-</sect2>
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<sect2>
-<title>Contents</title>
+<screen role="root"><userinput>make install</userinput></screen>
 
-<segmentedlist>
-<segtitle>Installed Programs</segtitle>
-<segtitle>Installed Library</segtitle>
-<segtitle>Installed Directories</segtitle>
+    <para>If you built the HTML documentation, install it using the following 
+    commands as the <systemitem class="username">root</systemitem> user:</para>
 
-<seglistitem>
-<seg>None</seg>
-<seg>libdvdcss.[so,a]</seg>
-<seg>/usr/include/dvdcss and /usr/share/doc/libdvdcss-&libdvdcss-version;</seg>
-</seglistitem>
-</segmentedlist>
+<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/libdvdcss-&libdvdcss-version; &amp;&amp;
+install -v -m644 doc/html/* /usr/share/doc/libdvdcss-&libdvdcss-version;</userinput></screen>
 
-<variablelist>
-<bridgehead renderas="sect3">Short Descriptions</bridgehead>
-<?dbfo list-presentation="list"?>
+  </sect2>
 
-<varlistentry id="libdvdcss-lib">
-<term><filename class='libraryfile'>libdvdcss.[so,a]</filename></term>
-<listitem><para>provides the functionality that is required for transparent 
-<acronym>DVD</acronym> access with <acronym>CSS</acronym> decryption.</para>
-<indexterm zone="libdvdcss libdvdcss-lib">
-<primary sortas="c-libdvdcss">libdvdcss.[so,a]</primary>
-</indexterm></listitem>
-</varlistentry>
-</variablelist>
+  <sect2 role="content">
+    <title>Contents</title>
 
-</sect2>
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>libdvdcss.[so,a]</seg>
+        <seg>/usr/include/dvdcss and /usr/share/doc/libdvdcss-&libdvdcss-version;</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libdvdcss-lib">
+        <term><filename class='libraryfile'>libdvdcss.[so,a]</filename></term>
+        <listitem>
+          <para>provides the functionality that is required for transparent 
+          DVD access with CSS decryption.</para>
+          <indexterm zone="libdvdcss libdvdcss-lib">
+            <primary sortas="c-libdvdcss">libdvdcss.[so,a]</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
 
 </sect1>