Index: general/graphlib/opencv.xml
===================================================================
--- general/graphlib/opencv.xml	(revision 36336d8e25d20662b82e37592a48bf5a2d8ebaf7)
+++ general/graphlib/opencv.xml	(revision 36336d8e25d20662b82e37592a48bf5a2d8ebaf7)
@@ -0,0 +1,247 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY cvdir "/projects/opencvlibrary/files">
+
+  <!ENTITY opencv-download-http "&sourceforge-repo2;&cvdir;/opencv-unix/&opencv-version;/opencv-&opencv-version;.zip">
+  <!ENTITY opencv-download-ftp  " ">
+  <!ENTITY opencv-md5sum        "09004c275d8092cbdf5b61675cecd399">
+  <!ENTITY opencv-size          "96 MB">
+  <!ENTITY opencv-buildsize     "528 MB">
+  <!ENTITY opencv-time          "5.5 SBU">
+]>
+
+<sect1 id="opencv" xreflabel="opencv-&opencv-version;">
+  <?dbhtml filename="opencv.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: ken $</othername>
+    <date>$Date: 2015-04-27 12:34:27 -0500 (Mon, 27 Apr 2015) $</date>
+  </sect1info>
+
+  <title>opencv-&opencv-version;</title>
+
+  <indexterm zone="opencv">
+    <primary sortas="a-opencv">opencv</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to opencv</title>
+
+    <para>
+      The <application>opencv</application> package contains graphics libraries 
+      mainly aimed at real-time computer vision.
+    </para>
+
+    &lfs77_checked; &gcc5_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&opencv-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&opencv-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &opencv-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &opencv-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &opencv-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &opencv-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <para>Optional file: <ulink
+      url="&sourceforge-repo2;&cvdir;/3rdparty/ippicv/ippicv_linux_20141027.tgz">
+           &sourceforge-repo2;&cvdir;/3rdparty/ippicv/ippicv_linux_20141027.tgz</ulink>
+    </para>
+
+    <bridgehead renderas="sect3">opencv Dependencies</bridgehead> 
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="cmake"/> and
+      <xref linkend="unzip"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="ffmpeg"/>,
+      <xref linkend="gst10-plugins-base"/>,
+      <xref linkend="gtk3"/>,
+      <xref linkend="jasper"/>,
+      <xref linkend="libjpeg"/>,
+      <xref linkend="libpng"/>,
+      <xref linkend="libtiff"/>,
+      <xref linkend="libwebp"/>, 
+      <xref linkend="python2"/>, 
+      <xref linkend="v4l-utils"/>, and
+      <xref linkend="xine-lib"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="apache-ant"/>, 
+      <xref linkend="doxygen"/>, 
+      <xref linkend="java"/>, 
+      <xref linkend="python3"/>,
+      <ulink url="https://developer.nvidia.com/cuda-zone">Cuda</ulink>,
+      <ulink url="http://eigen.tuxfamily.org/">Eigen</ulink>,
+      <ulink url="http://www.openexr.com/">OpenEXR</ulink>,
+      <ulink url="http://gcd.joewheaton.org/">GCD</ulink>,
+      <ulink url="http://www.gdal.org/">GDAL</ulink>,
+      <ulink url="http://www.jai.com/en/support/gigevisionsdkcontroltoolv130">GigEVisionSDK</ulink>,
+      <ulink url="http://jackaudio.org/">JACK</ulink>,
+      <ulink url="http://sourceforge.net/projects/libdc1394/">libdc1394</ulink>,
+      <ulink url="http://www.gphoto.org/">libgphoto2</ulink>,
+      <ulink url="http://www.numpy.org/">NumPy</ulink>,
+      <ulink url="http://structure.io/openni">OpenNI</ulink>,
+      <ulink url="http://plantuml.sourceforge.net/">PlanetUML</ulink>,
+      <ulink url="http://www.1stvision.com/AVT-gige-camera-software-downloads.html">PvAPI</ulink>,
+      <ulink url="https://www.threadingbuildingblocks.org/">Threading Building Blocks (TBB)</ulink>,
+      <ulink url="http://unicap-imaging.org/">UniCap</ulink>,
+      <ulink url="http://www.vtk.org/">VTK - The Visualization Toolkit</ulink>, and
+      <ulink url="http://www.ximea.com/">XIMEA</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/opencv"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of opencv</title>
+
+    <para>
+      If the optional Integrated Performance Primitives (IPP) package has been
+      downloaded, put it in place so the cmake script does not try to download
+      it again:
+    </para>
+
+<screen><userinput>ipp_file=../ippicv_linux_20141027.tgz             &amp;&amp;
+ipp_hash=$(md5sum $ipp_file | cut -d" " -f1)      &amp;&amp;
+ipp_dir=3rdparty/ippicv/downloads/linux-$ipp_hash &amp;&amp;
+
+mkdir -p $ipp_dir &amp;&amp;
+cp $ipp_file $ipp_dir</userinput></screen>
+
+    <para>
+      Install <application>opencv</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr \
+      -DWITH_XINE=ON              \
+      -DBUILD_TESTS=OFF           \
+      ..
+make</userinput></screen>
+
+    <para>
+      The package does not come with an operable test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>-DWITH_XINE=ON</option>: This option instucts the make procedure to
+    use <xref linkend="xine-lib"/>.</para>
+
+    <para><option>-DWITH_IPP=ON</option>: This option instucts the make procedure to
+    use the downloaded IPP package.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          opencv_annotation,
+          opencv_createsamples, and
+          opencv_traincascade
+        </seg>
+        <seg>
+          libopencv_calib3d.so,
+          libopencv_core.so,
+          libopencv_features2d.so,
+          libopencv_flann.so,
+          libopencv_highgui.so,
+          libopencv_imgcodecs.so,
+          libopencv_imgproc.so,
+          libopencv_ml.so,
+          libopencv_objdetect.so,
+          libopencv_photo.so,
+          libopencv_shape.so,
+          libopencv_stitching.so,
+          libopencv_superres.so,
+          libopencv_video.so,
+          libopencv_videoio.so, and
+          libopencv_videostab.so
+        </seg>
+        <seg>
+          /usr/include/opencv and
+          /usr/share/OpenCV
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="opencv_annotation">
+        <term><command>opencv_annotation</command></term>
+        <listitem>
+          <para>
+            ???
+          </para>
+          <indexterm zone="opencv opencv_annotation">
+            <primary sortas="b-opencv">opencv_annotation</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>