Index: basicnet/netprogs/ncftp/ncftp-config.xml
===================================================================
--- basicnet/netprogs/ncftp/ncftp-config.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ basicnet/netprogs/ncftp/ncftp-config.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -9,5 +9,5 @@
 <sect3><title>Configuration Information</title>
 
-<para>Most ncftp configuration is done whilst in the program and the
+<para>Most ncftp configuration is done while in the program and the
 configuration files are dealt with automatically.  One exception to this
 is <filename>~/.ncftp/prefs_v3</filename>.  There are various options to
Index: general/genlib/stlport/stlport-exp.xml
===================================================================
--- general/genlib/stlport/stlport-exp.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ general/genlib/stlport/stlport-exp.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -2,5 +2,6 @@
 <title>Command explanations</title>
 
-<para><userinput>GCC_VERSION=...</userinput> : STLport needs the location of the c++ headers, which are installed in
+<para><userinput>GCC_VERSION=...</userinput> : STLport needs the
+location of the C++ headers, which are installed in
 <userinput>/usr/include/c++/$GCC_VERSION</userinput>
 if installed as per the instructions in LFS.</para>
Index: general/genlib/stlport/stlport.ent
===================================================================
--- general/genlib/stlport/stlport.ent	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ general/genlib/stlport/stlport.ent	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -9,3 +9,3 @@
 <!ENTITY STLport-download-http "http://www.stlport.org/archive/STLport-&STLport-version;.tar.gz">
 <!ENTITY STLport-download-ftp "">
-<!ENTITY STLport-size "25 MB">
+<!ENTITY STLport-size "728 KB">
Index: general/graphlib/libungif/libungif-intro.xml
===================================================================
--- general/graphlib/libungif/libungif-intro.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ general/graphlib/libungif/libungif-intro.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -20,5 +20,5 @@
 to be limited in this way.  Note that this has in the past been
 disputed.  The best way to avoid this whole mess is to simply use
-libungif for looking at gif images on the web, whilst in any pages which
+libungif for looking at gif images on the web, while in any pages which
 you design, use the open source png format instead (which uses, not
 surprisingly, the libpng library) which has no patent issues at
Index: general/prog/jdk/j2sdk-intro.xml
===================================================================
--- general/prog/jdk/j2sdk-intro.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ general/prog/jdk/j2sdk-intro.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -33,5 +33,5 @@
 </para>
 
-<para>Download the patches for j2sdk source from <ulink url="&hfile-root;"/>
+<para>Download the patches for j2sdk source from <ulink url="&hfile-root;"/>.
 </para>
 
Index: introduction/important/unpacking.xml
===================================================================
--- introduction/important/unpacking.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ introduction/important/unpacking.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -15,5 +15,5 @@
 installation instructions.</para>
 
-<para>Whilst you can keep the source tarballs anywhere you like, we
+<para>While you can keep the source tarballs anywhere you like, we
 assume that you have unpacked them and unzipped any required patches
 into <filename>/usr/src</filename>.</para>
Index: introduction/welcome/acknowledgments.xml
===================================================================
--- introduction/welcome/acknowledgments.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ introduction/welcome/acknowledgments.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -9,5 +9,5 @@
 
 <listitem><para>All those people listed on the Credits page for submitting
-patches, instructions and corrections to the book.  The current editor would
+patches, instructions and corrections to the book.  The former editor would
 especially like to thank Bruce, Larry and Billy for their enormous inputs to the
 project.</para></listitem>
Index: introduction/welcome/which.xml
===================================================================
--- introduction/welcome/which.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ introduction/welcome/which.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -23,5 +23,5 @@
 linkend="postlfs-editors"/>) and Shells (<xref linkend="postlfs-shells"/>).
 Indeed, you may wish to reference certain parts of this chapter (especially
-the sections on Editors and Filesystems) whilst building your LFS system.</para>
+the sections on Editors and Filesystems) while building your LFS system.</para>
 
 <para>Following these basic items, most people will want to at least browse 
Index: multimedia/libdriv/nas/nas-intro.xml
===================================================================
--- multimedia/libdriv/nas/nas-intro.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ multimedia/libdriv/nas/nas-intro.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -12,5 +12,5 @@
 server.</para>
 
-<para>Download the bison patch from <ulink url="&hfile-root;"/></para>
+<para>Download the nas patch from <ulink url="&hfile-root;"/>.</para>
 
 </sect2>
Index: postlfs/config/bootdisk.xml
===================================================================
--- postlfs/config/bootdisk.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ postlfs/config/bootdisk.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -32,8 +32,8 @@
 the following command works well, as I only have the devices I use
 anyway.  If you used MAKEDEV to create your devices, you'll want to
-trim the /mnt/loop1/dev directory to reclaim the inode space wasted 
-by all of the devices in the dev directory you don't use.</para>
+trim the <filename>/mnt/loop1/dev</filename> directory to reclaim the inode space wasted 
+by all of the devices in the <filename>dev</filename> directory you don't use.</para>
 <para><screen><userinput>cp -dpR /dev/* /mnt/loop1/dev</userinput></screen></para>
-<para>Now to tend to the /etc directory.  To start, all we will do is use 
+<para>Now to tend to the <filename>/etc</filename> directory.  To start, all we will do is use 
 the passwd and group file that worked for our static chroot environment 
 when we built LFS.  We'll also copy the startup scripts over and a few other files 
@@ -61,10 +61,12 @@
 To prevent automatic mounting of hard drive partitions, 
 make sure to add the noauto option in their fstab entry.  Also, add the 
-following entries to the /mnt/loop1/etc/fstab to assist with mounting our 
+following entries to the <filename>/mnt/loop1/etc/fstab</filename> to assist with mounting our 
 floppy and the ram image</para>
 <para><screen>/dev/ram0       /               ext2    defaults
 /dev/fd0        /               ext2    defaults</screen></para>
 
-<para>Next, we will install <ulink url="http://www.busybox.net/downloads/busybox-0.60.4.tar.bz2">busybox</ulink> onto the image.  Busybox incorporates many of the *nix functions into a single small executable file.</para>
+<para>Next, we will install <ulink
+url="http://www.busybox.net/downloads/busybox-0.60.4.tar.bz2">busybox</ulink>
+onto the image.  Busybox incorporates many of the unix functions into a single small executable file.</para>
 <screen><userinput>make &amp;&amp;
 make PREFIX=/mnt/loop1 install &amp;&amp;
@@ -89,5 +91,5 @@
 <para>
 We will also need to set up an rc script to handle the devfsd startup.
-Put this in <filename>/mnt/loop1/etc/init.d/rcS</filename></para>
+Put this in <filename>/mnt/loop1/etc/init.d/rcS</filename>.</para>
 <screen>#!/bin/sh
 mount -t devfs devfs /dev
@@ -100,5 +102,5 @@
 <screen><userinput>ls -l rootfs.gz</userinput> to make sure it will fit on the diskette.</screen>
 <para>
-make a custom kernel that is optimized for size.  Include only those features
+Make a custom kernel that is optimized for size.  Include only those features
 you will need to rescue your system.  no sense in building in support for things
 like xfree86 dri, etc, as most rescues are performed from the command prompt.
@@ -113,6 +115,6 @@
 <para>In this example the rescueimage(KERNEL) was 429+1 blocks in size.
 We will remember this for the next command.  We now write the root file
-system right after the kernel on the floppy. by doing 16384+429+1=
-16814 </para>
+system right after the kernel on the floppy by doing 16384+429+1=
+16814.</para>
 <screen><userinput>rdev -r /dev/floppy/0 16814</userinput></screen>
 
Index: postlfs/config/profile.xml
===================================================================
--- postlfs/config/profile.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ postlfs/config/profile.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -9,5 +9,6 @@
 
 <para>An interactive login shell is started after a successful login by
-<filename>/bin/login</filename> by reading the /etc/passwd file.  An
+<filename>/bin/login</filename> by reading the
+<filename>/etc/passwd</filename> file.  An
 interactive non-login shell is started at the command line (e.g.
 [prompt]$<userinput>/bin/bash</userinput>).  A non-interactive shell is
Index: postlfs/security/shadow/shadow-inst.xml
===================================================================
--- postlfs/security/shadow/shadow-inst.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ postlfs/security/shadow/shadow-inst.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -5,5 +5,5 @@
 <xref linkend="Linux_PAM"/></screen>
 
-<para>Download the patch for shadow from <ulink url="&hfile-root;"/></para>
+<para>Download the patch for shadow from <ulink url="&hfile-root;"/>.</para>
 
 <para>Reinstall shadow by running the following commands:</para>
Index: preface/organization.xml
===================================================================
--- preface/organization.xml	(revision 2537abaea639ac9a5cd221e2dde7c1790fb1b61c)
+++ preface/organization.xml	(revision 036393e17a78a12fbc093c78b8becaf8eb736a80)
@@ -29,6 +29,6 @@
 
 <sect2><title>Part VI - Server Networking</title>
-<para>Here we deal with setting up mail and other servers (such as SSH, CVS
-etc).</para></sect2>
+<para>Here we deal with setting up mail and other servers (such as SSH,
+CVS, etc.).</para></sect2>
 
 <sect2><title>Part VII - Content Serving</title>
@@ -46,5 +46,5 @@
 <sect2><title>Part X - Gnome</title>
 <para>Gnome is the main alternative to KDE in the Desktop Environment arena
-and we cover both gnome-1.4 and gnome-2.0 here.</para></sect2>
+and we cover both gnome-1.4 and gnome-2.2 here.</para></sect2>
 
 <sect2><title>Part XI - X Software</title>