Index: general/prog/python-dependencies/certifi.xml
===================================================================
--- general/prog/python-dependencies/certifi.xml	(revision 036821bd865cef469cce23543cc9267ce0beaf83)
+++ general/prog/python-dependencies/certifi.xml	(revision 036821bd865cef469cce23543cc9267ce0beaf83)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect2 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../../general.ent">
+  %general-entities;
+
+  <!ENTITY certifi-download-http "https://github.com/pypa/certifi/releases/download/&certifi-version;/certifi-&certifi-version;.tar.gz">
+  <!ENTITY certifi-download-ftp  " ">
+  <!ENTITY certifi-md5sum        "e713c1939f294fd729af4a7be40dd141">
+  <!ENTITY certifi-size          "83 KB">
+  <!ENTITY certifi-buildsize     "2.6 MB">
+  <!ENTITY certifi-time          "less than 0.1 SBU">
+]>
+
+  <sect2 id="certifi" xreflabel="certifi-&certifi-version;">
+
+    <title>Packaging-&certifi-version;</title>
+
+    <indexterm zone="certifi">
+      <primary sortas="a-certifi">certifi</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Packaging Module</title>
+
+      <para>
+        The <application>Packaging</application> library provides utilities
+        that implement the interoperability specifications which have clearly
+        one correct behaviour or benefit greatly from having a single shared
+        implementation.
+      </para>
+
+      &lfs112_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&certifi-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&certifi-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &certifi-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &certifi-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &certifi-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &certifi-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Packaging Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="optional">
+        <xref linkend="pyparsing"/>
+      </para>
+
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Packaging</title>
+
+    <para> Build the module: </para>
+
+<screen><userinput>pip3 wheel -w dist --no-build-isolation --no-deps $PWD</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>pip3 install --no-index --find-links dist --no-cache-dir --no-user certifi</userinput></screen>
+
+    </sect3>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../../xincludes/pip3-cmd-explain.xml"/>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+          <seg>None</seg>
+          <seg>
+            /usr/lib/python&python3-majorver;/site-packages/certifi and
+            /usr/lib/python&python3-majorver;/site-packages/certifi-&certifi-version;.dist-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>