Index: server/databases/db.xml
===================================================================
--- server/databases/db.xml	(revision 54aaa8908ae76b46bd90554ddc929639ffb4d191)
+++ server/databases/db.xml	(revision 37191af795d1a020663e3eebb4e7b7943d8460a7)
@@ -8,8 +8,8 @@
     "http://download.oracle.com/berkeley-db/db-&db-version;.tar.gz">
   <!ENTITY db-download-ftp  " ">
-  <!ENTITY db-md5sum        "9525aa57a282d49e5d1bf5e48ffa8a56">
-  <!ENTITY db-size          "36 MB">
-  <!ENTITY db-buildsize     "296 MB">
-  <!ENTITY db-time          "0.8 SBU">
+  <!ENTITY db-md5sum        "9da126afb937a48171ff1e569ce67cf1">
+  <!ENTITY db-size          "42 MB">
+  <!ENTITY db-buildsize     "334 MB">
+  <!ENTITY db-time          "0.7 SBU">
 ]>
 
Index: server/databases/lmdb.xml
===================================================================
--- server/databases/lmdb.xml	(revision 54aaa8908ae76b46bd90554ddc929639ffb4d191)
+++ server/databases/lmdb.xml	(revision 37191af795d1a020663e3eebb4e7b7943d8460a7)
@@ -89,6 +89,5 @@
     </para>
 
-<screen><userinput>
-cd libraries/liblmdb &amp;&amp;
+<screen><userinput>cd libraries/liblmdb &amp;&amp;
 make                 &amp;&amp;
 sed -i 's| liblmdb.a||' Makefile</userinput></screen>
Index: server/databases/postgresql.xml
===================================================================
--- server/databases/postgresql.xml	(revision 54aaa8908ae76b46bd90554ddc929639ffb4d191)
+++ server/databases/postgresql.xml	(revision 37191af795d1a020663e3eebb4e7b7943d8460a7)
@@ -7,8 +7,8 @@
   <!ENTITY postgresql-download-http "http://ftp.postgresql.org/pub/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2">
   <!ENTITY postgresql-download-ftp  "ftp://ftp.postgresql.org/pub/source/v&postgresql-version;/postgresql-&postgresql-version;.tar.bz2">
-  <!ENTITY postgresql-md5sum        "11e037afaa4bd0c90bb3c3d955e2b401">
-  <!ENTITY postgresql-size          "18 MB">
-  <!ENTITY postgresql-buildsize     "234 MB (with tests)">
-  <!ENTITY postgresql-time          "1.7 SBU (with tests)">
+  <!ENTITY postgresql-md5sum        "c3f829b50f0351208debc79af3c946f9">
+  <!ENTITY postgresql-size          "17.6 MB">
+  <!ENTITY postgresql-buildsize     "190 MB (with tests)">
+  <!ENTITY postgresql-time          "1.9 SBU (with tests)">
 ]>
 
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 54aaa8908ae76b46bd90554ddc929639ffb4d191)
+++ server/mail/exim.xml	(revision 37191af795d1a020663e3eebb4e7b7943d8460a7)
@@ -13,5 +13,5 @@
   <!-- if above don't work, please use one of the official mirrors at
        http://www.exim.org/mirmon/ftp_mirrors.html -->
-  <!ENTITY exim-md5sum          "1443a4a88d6b78ad9b6a681c51437b55">
+  <!ENTITY exim-md5sum          "2effc2bd47ad2dc010f655c11a1b1173">
   <!ENTITY exim-size            "1.7 MB">
   <!ENTITY exim-buildsize       "17 MB">
@@ -139,5 +139,5 @@
 install -v -m644 doc/* /usr/share/doc/exim-&exim-version; &amp;&amp;
 ln -sfv exim /usr/sbin/sendmail                           &amp;&amp;
-install -v -m750 -o exim -g exim /var/spool/exim</userinput></screen>
+install -v -d -m750 -o exim -g exim /var/spool/exim</userinput></screen>
 
   </sect2>
Index: server/major/apache.xml
===================================================================
--- server/major/apache.xml	(revision 54aaa8908ae76b46bd90554ddc929639ffb4d191)
+++ server/major/apache.xml	(revision 37191af795d1a020663e3eebb4e7b7943d8460a7)
@@ -8,8 +8,8 @@
            "https://archive.apache.org/dist/httpd/httpd-&apache-version;.tar.bz2">
   <!ENTITY apache-download-ftp  " ">
-  <!ENTITY apache-md5sum        "3690b3cc991b7dfd22aea9e1264a11b9">
-  <!ENTITY apache-size          "4.9 MB">
-  <!ENTITY apache-buildsize     "109 MB">
-  <!ENTITY apache-time          "0.6 SBU">
+  <!ENTITY apache-md5sum        "3ff4f00ee051cf5d5304b47b1bc418b8">
+  <!ENTITY apache-size          "6.0 MB">
+  <!ENTITY apache-buildsize     "78 MB">
+  <!ENTITY apache-time          "0.7 SBU">
 ]>
 
@@ -136,5 +136,5 @@
 <screen><userinput>patch -Np1 -i ../httpd-&apache-version;-blfs_layout-1.patch           &amp;&amp;
 
-sed '/dir.*CFG_PREFIX/s@^@#@'     -i support/apxs.in        &amp;&amp;
+sed '/dir.*CFG_PREFIX/s@^@#@' -i support/apxs.in            &amp;&amp;
 
 ./configure --enable-authnz-fcgi                            \