Index: general.ent
===================================================================
--- general.ent	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ general.ent	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "10">                   <!-- Always 2 digits -->
+<!ENTITY day          "12">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 10th, &year;">
+<!ENTITY releasedate  "December 12th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/boost.xml
===================================================================
--- general/genlib/boost.xml	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ general/genlib/boost.xml	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -7,8 +7,8 @@
   <!ENTITY boost-download-http "https://dl.bintray.com/boostorg/release/&boost-version;/source/boost_&boost-dl-version;.tar.bz2">
   <!ENTITY boost-download-ftp  " ">
-  <!ENTITY boost-md5sum        "4cdf9b5c2dc01fb2b7b733d5af30e558">
-  <!ENTITY boost-size          "95 MB">
-  <!ENTITY boost-buildsize     "943 MB (168 MB installed)">
-  <!ENTITY boost-time          "1.5 SBU (Using parallelism=4; add 1.1 SBU for tests)">
+  <!ENTITY boost-md5sum        "cb40943d2a2cb8ce08d42bc48b0f84f0">
+  <!ENTITY boost-size          "102 MB">
+  <!ENTITY boost-buildsize     "1.0 GB (168 MB installed)">
+  <!ENTITY boost-time          "1.5 SBU (Using parallelism=4; add 1.3 SBU for tests)">
 ]>
 
@@ -82,6 +82,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="icu"/>,
-      <xref linkend="python2"/>, and
+      <xref linkend="icu"/> and
       <ulink url="https://www.open-mpi.org/">Open MPI</ulink>
     </para>
@@ -117,5 +116,5 @@
       is required.
       Run the tests with: issue <command>pushd tools/build/test; 
-      python test_all.py; popd</command>. 
+      python3 test_all.py; popd</command>. 
       All 152 tests should pass.
     </para>
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ general/prog/cmake.xml	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "a38cb4d547ca79f8a1b8211be41790b1">
+  <!ENTITY cmake-md5sum        "142cf11cd9a7c298cf875604cee96434">
   <!ENTITY cmake-size          "8.7 MB">
-  <!ENTITY cmake-buildsize     "443 MB (add 538 MB for tests)">
-  <!ENTITY cmake-time          "2.8 SBU (add 3.9 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-buildsize     "443 MB (add 541 MB for tests)">
+  <!ENTITY cmake-time          "2.8 SBU (add 3.8 SBU for tests, both using parallelism=4)">
 ]>
 
Index: general/prog/perl-modules/perl-business-isbn.xml
===================================================================
--- general/prog/perl-modules/perl-business-isbn.xml	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ general/prog/perl-modules/perl-business-isbn.xml	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -6,6 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/B/BD/BDFOY/Business-ISBN-&Business-ISBN-version;.tar.gz">
-  <!ENTITY my-md5sum "60b36c0a92cf51e9027ec3d9f38e7224">
-
+  <!ENTITY my-md5sum "d5528402f40ad01635d6031c3b580c8e">
 ]>
 
Index: general/sysutils/unrar.xml
===================================================================
--- general/sysutils/unrar.xml	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ general/sysutils/unrar.xml	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -7,5 +7,5 @@
   <!ENTITY unrar-download-http "http://www.rarlab.com/rar/unrarsrc-&unrar-version;.tar.gz">
   <!ENTITY unrar-download-ftp  " ">
-  <!ENTITY unrar-md5sum        "9b16734f7f92b86aa2f6394c6659d453">
+  <!ENTITY unrar-md5sum        "0e0a2f75a8f4f0242ee8ebb58cbd37f9">
   <!ENTITY unrar-size          "228 KB">
   <!ENTITY unrar-buildsize     "2.1 MB">
@@ -83,4 +83,9 @@
     <title>Installation of UnRar</title>
 
+    <note><para>This package extracts the tarball to the unversioned
+    directory <filename>unrar</filename> and not the expected directory
+    <filename>unrar-&unrar-version;</filename>.</para></note>
+
+
     <para>
       Install <application>UnRar</application> by running the following
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ introduction/welcome/changelog.xml	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -42,4 +42,26 @@
     </listitem>
        -->
+    <listitem>
+      <para>December 12th, 2019</para>
+      <itemizedlist>
+         <listitem>
+           <para>[bdubbs] - Update to boost-1.72.0. Fixes
+           <ulink url="&blfs-ticket-root;12896">#12896</ulink>.</para>
+         </listitem>
+         <listitem>
+           <para>[bdubbs] - Update to Business-ISBN-3.005. Fixes
+           <ulink url="&blfs-ticket-root;12893">#12893</ulink>.</para>
+         </listitem>
+         <listitem>
+           <para>[bdubbs] - Update to unrar-5.8.5. Fixes
+           <ulink url="&blfs-ticket-root;12892">#12892</ulink>.</para>
+         </listitem>
+         <listitem>
+           <para>[bdubbs] - Update to cmake-3.16.1. Fixes
+           <ulink url="&blfs-ticket-root;12889">#12889</ulink>.</para>
+         </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>December 10th, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision a521cd69589e87a15f44e35a9083a04f049cbda8)
+++ packages.ent	(revision 39060e9160d2a610d63b87b2483f10a18c2e7d4b)
@@ -85,5 +85,5 @@
 
 <!ENTITY boost-major                  "1">
-<!ENTITY boost-minor                  "71">
+<!ENTITY boost-minor                  "72">
 <!ENTITY boost-patch                  "0">
 <!ENTITY boost-version                "&boost-major;.&boost-minor;.&boost-patch;">
@@ -299,5 +299,5 @@
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
 <!ENTITY udisks2-version              "2.8.4">    <!-- stable lt .90 micro version -->
-<!ENTITY unrar-version                "5.8.4">
+<!ENTITY unrar-version                "5.8.5">
 <!ENTITY unzip-version                "6.0">
 <!ENTITY upower-version               "0.99.11">
@@ -314,5 +314,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.16">
-<!ENTITY cmake-minor-version          "0">
+<!ENTITY cmake-minor-version          "1">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
@@ -369,5 +369,5 @@
 <!ENTITY Archive-Zip-version          "1.67">
 <!ENTITY autovivification-version     "0.18">
-<!ENTITY Business-ISBN-version        "3.004">
+<!ENTITY Business-ISBN-version        "3.005">
 <!ENTITY Business-ISMN-version        "1.201">
 <!ENTITY Business-ISSN-version        "1.003">