Index: general.ent
===================================================================
--- general.ent	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ general.ent	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "27">                   <!-- Always 2 digits -->
+<!ENTITY day          "28">                   <!-- Always 2 digits -->
 <!ENTITY month        "05">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "May 27th, &year;">
+<!ENTITY releasedate  "May 28th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -393,5 +393,5 @@
 <!ENTITY php-version                  "5.5.12">
 <!ENTITY python2-version              "2.7.6">
-<!ENTITY python3-version              "3.4.0">
+<!ENTITY python3-version              "3.4.1">
 <!ENTITY ruby-version                 "2.1.2">
 <!ENTITY ruby-patch-version           "0">
@@ -536,5 +536,5 @@
 <!ENTITY xbitmaps-version             "1.1.1">
 <!ENTITY xcursor-themes-version       "1.0.4">
-<!ENTITY xkeyboard-config-version     "2.11">
+<!ENTITY xkeyboard-config-version     "2.12">
 <!ENTITY mesalib-version              "10.1.4">
 <!ENTITY xcb-util-version             "0.3.9">
@@ -797,5 +797,5 @@
 <!ENTITY libmusicbrainz3-version      "3.0.3">
 <!ENTITY libmusicbrainz5-version      "5.0.1">
-<!ENTITY libogg-version               "1.3.1">
+<!ENTITY libogg-version               "1.3.2">
 <!ENTITY libquicktime-version         "1.2.4">
 <!ENTITY libsamplerate-version        "0.1.8">
@@ -822,5 +822,5 @@
 
 <!-- Chapter 39 -->
-<!ENTITY mpg123-version               "1.19.0">
+<!ENTITY mpg123-version               "1.20.0">
 <!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.99.5">
@@ -850,5 +850,5 @@
 <!-- Part XII -->
 <!-- Chapter 42 -->
-<!ENTITY cups-version                 "1.7.2">
+<!ENTITY cups-version                 "1.7.3">
 <!ENTITY cups-filters-version         "1.0.53">
 <!ENTITY gs-version                   "9.14">
Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ general/prog/python3.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -8,11 +8,12 @@
            "http://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
   <!ENTITY python3-download-ftp  " ">
-  <!ENTITY python3-md5sum        "77c22725e14af3d71022cbfdebff4903">
+  <!ENTITY python3-md5sum        "6cafc183b4106476dd73d5738d7f616a">
   <!ENTITY python3-size          "14 MB">
-  <!ENTITY python3-buildsize     "279 MB (241 MB without docs or additional 143 MB for the tests)">
-  <!ENTITY python3-time          "1.1 SBU (or 2.8 SBU for the tests)">
-
+  <!ENTITY python3-buildsize     "266 MB (additional 38 MB for the docs and 37 MB for the tests)">
+  <!ENTITY python3-time          "1.1 SBU (additional 0.1 SBU for the tests)">
+
+  <!ENTITY python3-doc-version   "3.4.0">
   <!ENTITY python3htmldoc-download-http
-           "http://docs.python.org/ftp/python/doc/&python3-version;/python-&python3-version;-docs-html.tar.bz2">
+           "http://docs.python.org/ftp/python/doc/&python3-doc-version;/python-&python3-doc-version;-docs-html.tar.bz2">
   <!ENTITY python3htmldoc-md5sum        "cdbef126ee7ef0908352fabc4dc5bee5">
   <!ENTITY python3htmldoc-size          "4.8 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ introduction/welcome/changelog.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -46,4 +46,35 @@
 
     <listitem>
+      <para>May 28th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Fix transmission-2.83 to build with Qt-4.8.6.
+          Thanks to e5g6s. Final fix to 
+          <ulink url="&blfs-ticket-root;5080">#5080</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - xkeyboard-config-2.12. Fixes
+          <ulink url="&blfs-ticket-root;5110">#5110</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - libogg-1.3.2. Fixes
+          <ulink url="&blfs-ticket-root;5109">#5109</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - mpg123-1.20.0. Fixes
+          <ulink url="&blfs-ticket-root;5108">#5108</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - cups-1.7.3. Fixes
+          <ulink url="&blfs-ticket-root;5107">#5107</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Python-3.4.1. Fixes
+          <ulink url="&blfs-ticket-root;5113">#5113</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>May 27th, 2014</para>
       <itemizedlist>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ multimedia/audioutils/mpg123.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -7,7 +7,7 @@
   <!ENTITY mpg123-download-http "&sourceforge-repo;/mpg123/mpg123-&mpg123-version;.tar.bz2">
   <!ENTITY mpg123-download-ftp  " ">
-  <!ENTITY mpg123-md5sum        "87731f1437cfd8c50537a606d81130e4">
-  <!ENTITY mpg123-size          "836 KB">
-  <!ENTITY mpg123-buildsize     "12 MB">
+  <!ENTITY mpg123-md5sum        "f48152446eb1e8b78234d4a42c5fa263">
+  <!ENTITY mpg123-size          "844 KB">
+  <!ENTITY mpg123-buildsize     "13 MB">
   <!ENTITY mpg123-time          "0.2 SBU">
 ]>
@@ -137,5 +137,5 @@
       <seglistitem>
         <seg>
-          mpg123, mpg123-id3dump, and mpg123-strip
+          mpg123, mpg123-id3dump, mpg123-strip, and out123
         </seg>
         <seg>
Index: multimedia/libdriv/libogg.xml
===================================================================
--- multimedia/libdriv/libogg.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ multimedia/libdriv/libogg.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -7,6 +7,6 @@
   <!ENTITY libogg-download-http "http://downloads.xiph.org/releases/ogg/libogg-&libogg-version;.tar.xz">
   <!ENTITY libogg-download-ftp  "ftp://downloads.xiph.org/pub/xiph/releases/ogg/libogg-&libogg-version;.tar.xz">
-  <!ENTITY libogg-md5sum        "ca25d8da0ddfc8c6cbbf78d847a209fe">
-  <!ENTITY libogg-size          "398 KB">
+  <!ENTITY libogg-md5sum        "5c3a34309d8b98640827e5d0991a4015">
+  <!ENTITY libogg-size          "400 KB">
   <!ENTITY libogg-buildsize     "4 MB">
   <!ENTITY libogg-time          "less than 0.1 SBU">
Index: postlfs/config/users.xml
===================================================================
--- postlfs/config/users.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ postlfs/config/users.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -79,5 +79,5 @@
         <row><entry>fcron   </entry><entry>22</entry><entry>22</entry></row>
         <row><entry>systemd-journal</entry><entry></entry><entry>23</entry></row>
-        <row><entry>systemd-timesync</entry>24<entry></entry><entry>24</entry></row>
+        <row><entry>systemd-timesync</entry><entry>24</entry><entry>24</entry></row>
         <row><entry>apache  </entry><entry>25</entry><entry>25</entry></row>
         <row><entry>smmsp   </entry><entry>26</entry><entry>26</entry></row>
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ pst/printing/cups.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -7,7 +7,7 @@
   <!ENTITY cups-download-http "http://www.cups.org/software/&cups-version;/cups-&cups-version;-source.tar.bz2">
   <!ENTITY cups-download-ftp  " ">
-  <!ENTITY cups-md5sum        "f06a997d4b71b81b23324e27174f93e7">
+  <!ENTITY cups-md5sum        "d498c3020acda0904ab0c13b6389a1ec">
   <!ENTITY cups-size          "8.4 MB">
-  <!ENTITY cups-buildsize     "63 MB (additional 16 MB for the tests)">
+  <!ENTITY cups-buildsize     "65 MB (additional 24 MB for the tests)">
   <!ENTITY cups-time          "0.6 SBU (additional 4.1 SBU for the tests)">
 ]>
@@ -83,10 +83,4 @@
       <listitem>
         <para>
-          Required patch: <!-- should not be needed for 1.7.3 -->
-          <ulink url="&patch-root;/cups-&cups-version;-avahi_optional-1.patch"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
           Optional patch:
           <ulink url="&patch-root;/cups-&cups-version;-content_type-1.patch"/>
@@ -229,10 +223,4 @@
 <screen><userinput>patch -Np1 -i ../cups-&cups-version;-content_type-1.patch</userinput></screen>
 
-    <para>
-       If you have not installed <application>Avahi</application>, use the
-       following patch:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../cups-&cups-version;-avahi_optional-1.patch</userinput></screen>
     <para>
       Install <application>Cups</application> by running the
Index: x/installing/xkeyboard-config.xml
===================================================================
--- x/installing/xkeyboard-config.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ x/installing/xkeyboard-config.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -9,8 +9,8 @@
   <!ENTITY xkeyboard-config-download-ftp
   "&xorg-download-ftp;/data/xkeyboard-config/xkeyboard-config-&xkeyboard-config-version;.tar.bz2">
-  <!ENTITY xkeyboard-config-md5sum        "e3defd29cc464cc1a1dfa0eebaca53b1">
-  <!ENTITY xkeyboard-config-size          "899 KB">
+  <!ENTITY xkeyboard-config-md5sum        "1fd54ceb9092d1dbcaabaf03653092bc">
+  <!ENTITY xkeyboard-config-size          "916 KB">
   <!ENTITY xkeyboard-config-buildsize     "19 MB">
-  <!ENTITY xkeyboard-config-time          "0.1 SBU">
+  <!ENTITY xkeyboard-config-time          "less than 0.1 SBU">
 ]>
 
Index: xsoft/other/transmission.xml
===================================================================
--- xsoft/other/transmission.xml	(revision c94ef71975d1d07d62e97e5232d773a96d8d2fac)
+++ xsoft/other/transmission.xml	(revision 39372bab654ba3d27d4eea990278d459db3908cb)
@@ -96,5 +96,5 @@
     <para role="recommended">
       <xref linkend="gtk3"/> and either
-      <xref linkend="qt4"/> (currently, build with Qt4 is broken) or
+      <xref linkend="qt4"/> or
       <xref linkend="qt5"/>
     </para>
@@ -120,6 +120,6 @@
 
     <para>
-      Install <application>Transmission</application> by running the following
-      commands:
+      Install <application>Transmission</application> by running the
+      following commands:
     </para>
 
@@ -128,6 +128,17 @@
 
     <para>
-      If you have installed Qt and would like to compile the
-      Qt GUI, run the following commands:
+       The following commands are used if you have installed Qt and would like
+       to compile the Qt GUI. If <application>Qt4</application> and
+       <application>Qt5</application> are installed in
+       <filename class="directory">/opt</filename>, use
+       <command>source setqt4</command> or <command>source setqt5</command> t
+       o choose which one will be used to build the Qt GUI. For
+       <application>Qt4</application>, first fix the code with:
+    </para>
+
+<screen><userinput>sed -i '/^CONFIG/aQMAKE_CXXFLAGS += -std=c++11' qt/qtr.pro</userinput></screen>
+
+    <para>
+      Now, compile the Qt GUI, with the following commands:
     </para>
 