Index: general/genlib/popt.xml
===================================================================
--- general/genlib/popt.xml	(revision 292ff4579d168bbfbd5853440129cdefd51d04ef)
+++ general/genlib/popt.xml	(revision 40454cd2fa38ca58978bc9ad79760c5f17003ab5)
@@ -71,4 +71,9 @@
       </listitem>
     </itemizedlist>
+
+    <bridgehead renderas="sect3">popt Dependencies</bridgehead>
+    <para role="optional">
+      <xref linkend="doxygen"/> (for generating documentation)
+    </para>
 
     <para condition="html" role="usernotes">User Notes:
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 292ff4579d168bbfbd5853440129cdefd51d04ef)
+++ introduction/welcome/changelog.xml	(revision 40454cd2fa38ca58978bc9ad79760c5f17003ab5)
@@ -46,4 +46,12 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to WebKitGTK+-2.32.0 (Security Update). Fixes
+          <ulink url="&blfs-ticket-root;14837">#14837</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gimp-2.10.24. Fixes
+          <ulink url="&blfs-ticket-root;14836">#14836</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Patch Python-2.7.18 for security vulnerabilities. Fixes
           <ulink url="&blfs-ticket-root;14843">#14843</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 292ff4579d168bbfbd5853440129cdefd51d04ef)
+++ packages.ent	(revision 40454cd2fa38ca58978bc9ad79760c5f17003ab5)
@@ -769,5 +769,5 @@
 <!ENTITY startup-notification-version "0.12">
 <!ENTITY tepl-version                 "5.0.1">
-<!ENTITY webkitgtk-version            "2.30.6">    <!-- Even minors only -->
+<!ENTITY webkitgtk-version            "2.32.0">    <!-- Even minors only -->
 
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
@@ -935,5 +935,5 @@
 <!ENTITY fontforge-version            "20201107">
 <!ENTITY gparted-version              "1.2.0">
-<!ENTITY gimp-version                 "2.10.22">
+<!ENTITY gimp-version                 "2.10.24">
 <!ENTITY hexchat-version              "2.14.3">
 <!ENTITY icedtea-web-version          "1.7.1">
Index: x/lib/webkitgtk.xml
===================================================================
--- x/lib/webkitgtk.xml	(revision 292ff4579d168bbfbd5853440129cdefd51d04ef)
+++ x/lib/webkitgtk.xml	(revision 40454cd2fa38ca58978bc9ad79760c5f17003ab5)
@@ -7,8 +7,8 @@
   <!ENTITY webkitgtk-download-http "https://webkitgtk.org/releases/webkitgtk-&webkitgtk-version;.tar.xz">
   <!ENTITY webkitgtk-download-ftp  " ">
-  <!ENTITY webkitgtk-md5sum        "11148c4ed400c58fe330ac94208cbc4d">
-  <!ENTITY webkitgtk-size          "21 MB">
-  <!ENTITY webkitgtk-buildsize     "829 MB (121 MB installed)">
-  <!ENTITY webkitgtk-time          "24 SBU (using parallelism=4, estimated 80 SBU using one core)">
+  <!ENTITY webkitgtk-md5sum        "a24a9441ad01617be9ac95097cd31e08">
+  <!ENTITY webkitgtk-size          "22 MB">
+  <!ENTITY webkitgtk-buildsize     "899 MB (127 MB installed)">
+  <!ENTITY webkitgtk-time          "29 SBU (using parallelism=4, estimated 96 SBU using one core)">
 ]>
 
@@ -86,4 +86,5 @@
       <xref linkend="libsecret"/>,
       <xref linkend="libsoup"/>,
+      <xref linkend="libtasn1"/>,
       <xref linkend="libwebp"/>,
       <xref linkend="mesa"/>,
@@ -111,6 +112,8 @@
       <xref linkend="woff2"/>,
       <ulink url="https://ccache.dev/">ccache</ulink>,
+      <ulink url="https://blogs.gtk.org/2020/12/16/gtk-4-0/">gtk+-4</ulink>,
       <ulink url="http://sourceforge.net/projects/hunspell/files/Hyphen/">Hyphen</ulink>,
       <ulink url="http://xsltml.sourceforge.net/">MathML</ulink>, 
+      <ulink url="https://gnome.pages.gitlab.gnome.org/libmanette/">libmanette</ulink>,
       <ulink url="https://github.com/WebPlatformForEmbedded/libwpe">libwpe</ulink>,
       <ulink url="https://github.com/Igalia/WPEBackend-fdo">WPEBackend-fdo</ulink>, and
@@ -149,4 +152,5 @@
       -DLIB_INSTALL_DIR=/usr/lib  \
       -DUSE_LIBHYPHEN=OFF         \
+      -DENABLE_GAMEPAD=OFF        \
       -DENABLE_MINIBROWSER=ON     \
       -DUSE_WOFF2=OFF             \
@@ -216,4 +220,11 @@
       if you wish to enable it (replacing OFF with ON or just removing
       the switch).
+    </para>
+
+    <para>
+      <parameter>-DENABLE_GAMEPAD=OFF</parameter>: This switch disables
+      gamepad support. Remove this switch if you have
+      <ulink url="https://gnome.pages.gitlab.gnome.org/libmanette/">libmanette</ulink>
+      installed and wish to enable it.
     </para>
 
Index: xsoft/other/gimp.xml
===================================================================
--- xsoft/other/gimp.xml	(revision 292ff4579d168bbfbd5853440129cdefd51d04ef)
+++ xsoft/other/gimp.xml	(revision 40454cd2fa38ca58978bc9ad79760c5f17003ab5)
@@ -7,8 +7,8 @@
   <!ENTITY gimp-download-http "https://download.gimp.org/pub/gimp/v2.10/gimp-&gimp-version;.tar.bz2">
   <!ENTITY gimp-download-ftp  " ">
-  <!ENTITY gimp-md5sum        "9d559ba6f039da033754f1d62a91cc39">
-  <!ENTITY gimp-size          "32 MB">
-  <!ENTITY gimp-buildsize     "1.3 GB (267 MB installed, add 0.9 GB for tests)">
-  <!ENTITY gimp-time          "2.8 SBU (Using parallelism=4; add 0.7 SBU for tests)">
+  <!ENTITY gimp-md5sum        "31e4a055ba34e6841f42a6b2439ca480">
+  <!ENTITY gimp-size          "30 MB">
+  <!ENTITY gimp-buildsize     "898 MB (201 MB installed, add 882 GB for tests)">
+  <!ENTITY gimp-time          "1.7 SBU (Using parallelism=4; add 0.7 SBU for tests)">
 
   <!-- pro-tem, a pull of gimp-help, https://gitlab.gnome.org/GNOME/gimp-help.git
@@ -27,11 +27,11 @@
        anduin.-->
 
-  <!ENTITY gimp-help-version    "2020-10-07">
+  <!ENTITY gimp-help-version    "2021-03-30">
   <!ENTITY gimp-help-download   "&sources-anduin-http;/gimp/gimp-help-&gimp-help-version;.tar.xz">
-  <!ENTITY gimp-help-md5sum     "39cee813a1cd91cc2d2892cf94d44f05">
+  <!ENTITY gimp-help-md5sum     "df6acc812c829b610d621f8e6973a680">
   <!ENTITY gimp-help-size       "170 MB">
-  <!ENTITY gimp-help-buildsize  "From 384 MB (en only) to 1.8 GB (all 18
+  <!ENTITY gimp-help-buildsize  "From 385 MB (en only) to 1.8 GB (all 17
                                  languages)">
-  <!ENTITY gimp-help-time       "1.0 SBU (en only), 9.7 SBU, with parallelism=4,
+  <!ENTITY gimp-help-time       "1.9 SBU (en only), 9.1 SBU, with parallelism=4,
                                  for all languages">
 ]>
@@ -190,6 +190,7 @@
       <ulink url="https://github.com/strukturag/libde265/">libde265</ulink>
       (both needed to read macOS heic images),
-      <ulink url="https://www.nongnu.org/libunwind">libunwind</ulink>, and
-      <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>
+      <ulink url="https://www.nongnu.org/libunwind">libunwind</ulink>,
+      <ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink>, and
+      <ulink url="https://www.openexr.com/">OpenEXR</ulink>
     </para>
 
@@ -265,5 +266,5 @@
     </para>
 
-<screen><userinput>ALL_LINGUAS=&quot;ca da de el en en_GB es fi fr it ja ko nl nn pt_BR ro ru zh_CN&quot; \
+<screen><userinput>ALL_LINGUAS=&quot;ca da de el en en_GB es fi fr it ja ko nn pt_BR ro ru zh_CN&quot; \
 ./autogen.sh --prefix=/usr</userinput></screen>
 