Index: general.ent
===================================================================
--- general.ent	(revision bb31faa3de52feee986a870d9501f46c16c211ba)
+++ general.ent	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "17">                   <!-- Always 2 digits -->
+<!ENTITY day          "18">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 17th, &year;">
+<!ENTITY releasedate  "December 18th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision bb31faa3de52feee986a870d9501f46c16c211ba)
+++ introduction/welcome/changelog.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
@@ -43,4 +43,14 @@
     -->
     <listitem>
+      <para>December 18th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to mesa-20.3.1. Fixes
+          <ulink url="&blfs-ticket-root;14339">#14339</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 17th, 2020</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision bb31faa3de52feee986a870d9501f46c16c211ba)
+++ packages.ent	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
@@ -691,6 +691,6 @@
 <!ENTITY xcursor-themes-version       "1.0.6">
 <!ENTITY xkeyboard-config-version     "2.31">
-<!ENTITY mesa-major-minor             "20.2">
-<!ENTITY mesa-version                 "&mesa-major-minor;.3">
+<!ENTITY mesa-major-minor             "20.3">
+<!ENTITY mesa-version                 "&mesa-major-minor;.1">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision bb31faa3de52feee986a870d9501f46c16c211ba)
+++ x/installing/mesa.xml	(revision 42117d4e618744947579c32a4e830ac85fa03bb5)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "8d73d6eb479d392d2fe20f02ccbe44e0">
-  <!ENTITY mesa-size          "13 MB">
-  <!ENTITY mesa-buildsize     "469 MB (with docs), add 302 MB for tests">
-  <!ENTITY mesa-time          "2.4 SBU (with parallelism=4 and docs), add 0.4 SBU for tests">
+  <!ENTITY mesa-md5sum        "e9242ee9a07a1d932bcf7b28284e2dcf">
+  <!ENTITY mesa-size          "14 MB">
+  <!ENTITY mesa-buildsize     "631 MB (with docs), add 317 MB for tests">
+  <!ENTITY mesa-time          "2.7 SBU (with parallelism=4 and docs). Add 0.5 SBU for tests">
 ]>
 
@@ -290,6 +290,7 @@
 
     <para>
-      <option>-Dgallium-nine=true</option>: Setting this option to true will
-      provide support for (MS Windows) games designed for DX9.
+      <parameter>-Dgallium-nine=false</parameter>: Prevents building
+      support for (MS Windows) games designed for DX9. Set it to true if
+      this support is desired.
     </para>
 
@@ -312,4 +313,9 @@
     </para>
 
+    <para>
+      <parameter>-Dlibunwind=false</parameter>: This parameter disables
+      the usage of libunwind.
+    </para>
+
 <!--
     <para>
@@ -341,5 +347,6 @@
     <segmentedlist>
       <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Libraries</segtitle><!-- in /usr/lib -->
+      <segtitle>Installed Drivers</segtitle><!-- in /usr/lib/<subdir> -->
       <segtitle>Installed Directories</segtitle>
 
@@ -349,24 +356,4 @@
         </seg>
         <seg>
-          <!-- Begin DRI drivers : this is the full set from auto -->
-          d3dadapter9.so, <!-- For Windows games. This is DirectX's Direct3D -->
-          i915_dri.so,
-          i965_dri.so,
-          iris_dri.so,
-          kms_swrast_dri.so,
-          nouveau_dri.so,
-          nouveau_drv_video.so,
-          nouveau_vieux_dri.so,
-          r200_dri.so,
-          r300_dri.so,
-          r600_dri.so,
-          r600_drv_video.so,
-          radeon_dri.so,
-          radeonsi_dri.so,
-          radeonsi_drv_video.so,
-          swrast_dri.so,
-          virtio_gpu_dri.so,
-          vmwgfx_dri.so,
-          <!-- End DRI Drivers -->
           libEGL.so,
           libGL.so,
@@ -380,10 +367,34 @@
           <!-- Begin Vulkan drivers -->
           libvulkan_intel.so,
-          libvulkan_radeon.so,
+          libvulkan_lvp.so,
+          libvulkan_radeon.so, and
           <!-- End Vulkan drivers -->
           libxatracker.so,
+        </seg>
+        <seg>
+          <!-- Begin DRI drivers : this is the full set from auto -->
+          d3dadapter9.so (optional), <!-- For Windows games. This is DirectX's
+                                          Direct3D -->
+          i915_dri.so,
+          i965_dri.so,
+          iris_dri.so,
+          kms_swrast_dri.so,
+          nouveau_dri.so,
+          nouveau_drv_video.so,
+          nouveau_vieux_dri.so,
+          r200_dri.so (optional),
+          r300_dri.so (optional),
+          r600_dri.so,
+          r600_drv_video.so,
+          radeon_dri.so,
+          radeonsi_dri.so,
+          radeonsi_drv_video.so,
+          swrast_dri.so,
+          virtio_gpu_dri.so,
+          vmwgfx_dri.so,
+          <!-- End DRI Drivers -->
           <!-- Begin VDPAU drivers -->
           libvdpau_nouveau.so,
-          libvdpau_r300.so,
+          libvdpau_r300.so (optional),
           libvdpau_r600.so, and
           libvdpau_radeonsi.so
@@ -391,5 +402,7 @@
         </seg>
         <seg>
-          $XORG_PREFIX/{include/{d3dapater,EGL,GL,GLES,GLES2,GLES3,KHR,vulkan},lib/{d3d,dri,vdpau}}
+          $XORG_PREFIX/{include/{EGL,GL,GLES,GLES2,GLES3,KHR,vulkan},lib/{dri,vdpau}},
+          $XORG_PREFIX/include/d3adapter (optional),
+          $XORG_PREFIX/lib/d3d (optional),
           $XORG_PREFIX/share/drirc.d (contains workarounds for various applications,
           particularly browsers and games)